<?php
namespace App\Auth;

use Illuminate\Auth\SessionGuard;
use Illuminate\Contracts\Auth\UserProvider;
use App\Services\CustomEncryption;

class CustomGuard extends SessionGuard
{
    protected $encryption;

    public function __construct($name, UserProvider $provider, $session, $request, CustomEncryption $encryption)
    {
        parent::__construct($name, $provider, $session, $request);
        $this->encryption = $encryption;
    }

    public function attempt(array $credentials = [], $remember = false)
    {
        
        if (isset($credentials['password'])) {
            $credentials['password'] = $this->encryption->encrypt($credentials['password']);
        }
        // print_r($credentials);
        // exit;
      
        $attempt = parent::attempt($credentials, $remember);

        // if ($attempt && isset($credentials['password'])) {
        //     $credentials['password'] = $this->encryption->decrypt($credentials['password']);
        // }

        return $attempt;
    }

}
