<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Party;
use Illuminate\Http\Request;
use setasign\Fpdi\PdfReader\Page;
use Illuminate\Support\Facades\DB;

class MobilePartyController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
        $this->middleware(function ($request, $next) {
            $permissionArray = session('permissionArray');
            if (!in_array('Mobileparty', $permissionArray)) {
                return redirect('Admin/dashboard');
            } else{
                return $next($request);
            }
        });
    }
    public function index()
    {
        $party = Party::orderBy('code','ASC')->get();
        return view('pages.mobileparty.index', compact('party'));
    }

    public function add(Request $request)
    {
        $party = $request->input('parties');

        $_party = Party::get();
        foreach ($_party as $val) {
            $val->is_mobile = 1;
            $val->update();
        }
        // dd('complete');

        foreach ($party as $key => $mobile) {

            $updateArray = array(
                'is_mobile' => 0,
            );

            Party::where('id', $mobile)->update($updateArray);

        }

        $query = "select distinct * from party m1 where is_deleted=0 and is_mobile= 1 AND not exists (select commission_party from party m2 where m2.commission_party = m1.id AND is_deleted=0 and is_mobile= 1)   ORDER by m1.code ASC";
        $result = DB::select($query);
        $array = array();

        foreach ($result as $_senderData) {
            if ($_senderData->city != "ACC" and $_senderData->city != "PARTY" and $_senderData->city != "ANGADIYA" and $_senderData->city != "OUT" and $_senderData->city != "COMMITION" and $_senderData->city != "AH RPO") {
                $array[] = array(
                    "party_id" => $_senderData->id,
                    'id' => $_senderData->code . ' (' . $_senderData->name . ')',
                    'name' => $_senderData->name,
                    'city' => $_senderData->city,
                );
            }
        }
        $filename = storage_path('app/public/') . 'uploads/party.json';
        $handle = fopen($filename, "w");
        $contents = fwrite($handle, json_encode($array));
        fclose($handle);

        return redirect()->route('mobileparty.index');
    }

}