<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\User;
use Exception;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Config;
use Tymon\JWTAuth\Facades\JWTAuth;

class NoticeController extends Controller
{
    public function __construct()
    {
        Config::set('jwt.user', User::class);
        Config::set('auth.providers', ['users' => [
            'driver' => 'eloquent',
            'model' => User::class,
        ]]);
    }

    public function getNotices(Request $request): JsonResponse
    {
        try {
            $user = JWTAuth::parseToken()->authenticate();
            if (!$user) {
                return response()->json(['status' => 0, 'message' => 'You are not able login from this application...', 'data' => (object)[]], 200);
            }
            $filename = storage_path('app/public/uploads') . '/notice.json';
            $handle = fopen($filename, "rb");
            $contents = fread($handle, filesize($filename));
            fclose($handle);
            $noticeData = json_decode($contents);
            $finalArray = array();
            foreach ($noticeData as $row) {
                $finalArray[] = array(
                    'notice_value' => $row->notice_value
                );
            }
            if (!empty($finalArray)) {
                return response()->json(['status' => 1, 'message' => 'Data listed successfully', 'data' => $finalArray], 200);
            } else {
                return response()->json(['status' => 0, 'message' => 'No data found', 'data' => []], 200);
            }
        } catch (Exception $e) {
            return response()->json(['status' => 0, 'message' => $e->getMessage(), 'data' => []], 200);
        }
    }
}