<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\Controller;
use App\Models\Settings;
use App\Models\User;
use Exception;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Config;
use Tymon\JWTAuth\Facades\JWTAuth;

class SettingsController extends Controller
{
    public function __construct()
    {
        Config::set('jwt.user', User::class);
        Config::set('auth.providers', [
            'users' => [
                'driver' => 'eloquent',
                'model' => User::class,
            ]
        ]);
    }

    public function getAppCode(Request $request): JsonResponse
    {
        try {
            $settingData = Settings::find(1);

            if (!empty($settingData)) {
                return response()->json(['status' => 1, 'message' => 'Data listed successfully', 'data' => $settingData], 200);
            } else {
                return response()->json(['status' => 0, 'message' => 'No data found', 'data' => (object) []], 200);
            }

        } catch (Exception $e) {
            return response()->json(['status' => 0, 'message' => $e->getMessage(), 'data' => (object) []], 200);
        }
    }
}