<?php
namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use JWTAuth;
use Exception;
use Tymon\JWTAuth\Exceptions\TokenExpiredException;
use Tymon\JWTAuth\Exceptions\TokenInvalidException;
use Tymon\JWTAuth\Http\Middleware\BaseMiddleware;

class JwtMiddleware extends BaseMiddleware
{
    /**
     * Handle an incoming request.
     *
     * @param Request $request
     * @param  Closure  $next
     * @return mixed
     */
    public function handle(Request $request, Closure $next)
    {
        $headers = apache_request_headers();
        // $request->headers->set('Authorization', $headers['Authorization']);
        try {
            $user = JWTAuth::parseToken()->authenticate();
        } catch (Exception $e) {
            if ($e instanceof TokenInvalidException){
                return response()->json([
                    'status' => 0,
                    'message' => 'Token is Invalid',
                    'data'=>[]
                ]);
            }else if ($e instanceof TokenExpiredException){
                return response()->json([
                    'status' => 0,
                    'message' => 'Token is Invalid',
                    'data'=>[]
                ]);
            }else{
                return response()->json([
                    'status'  => 0,
                    'message' => 'Authorization Token not found',
                    'data'=>[]
                ]);
            }
        }
        return $next($request);
    }
}
