<?php

namespace App\Http\Traits;

use App\Models\Company;
use App\Models\DeviceToken;

trait DeviceTrait
{
    public function get_party_device_token($partyId, $userId)
    {
        return DeviceToken::where('party_id', $partyId)
            ->where('user_id', $userId)
            ->orderBy('id', 'desc')
            ->first();
    }

    public function getAllPartyDevices($partyId): array
    {
        $deviceToken = DeviceToken::where('party_id', $partyId)
            ->orderBy('id', 'desc')
            ->get();
        $data = array();
        foreach ($deviceToken as $device) {
            $data[] = $device->device_token;
        }
        return $data;
    }

    public function getUserDeviceToken($party_id)
    {
        $userData = Company::where('is_loggedin', 1)->get();

        $userTokenArray = array();
        foreach ($userData as $_userData) {
            if ($_userData->role != 'superadmin') {
                $partyId = explode(",", $_userData->parties);
                if (in_array($party_id, $partyId)) {
                    $userTokenArray[] = $_userData->token;
                }
            } else {
                $userTokenArray[] = $_userData->token;
            }
        }
        return $userTokenArray;
    }
}
