<?php

namespace App\Http\Traits;

use Illuminate\Support\Facades\DB;
use PhpParser\Node\Expr\Cast\Double;

trait VatavTrait
{

    //Auto Vatav
    use PartyTrait;
    use PriceTrait;
    public function calculateAutoVatav($calculate_vatav_on,$sender_party,$receiver_party,$amount,$flag)
    {
        $sender_details   = $this->getPartyDetailsFromId($sender_party);
        $receiver_details = $this->getPartyDetailsFromId($receiver_party);
 
        $sender_percentage          = (int)$sender_details['sender_vatav'];
        $sender_is_partnership_firm = (int) $sender_details['partnership_firm'];
        $sender_minimum             = $sender_details['minimum'];
        $sender_is_receiver_based             = $sender_details['is_receiver_based'];
        $sender_receiver_based_commission             = $sender_details['receiver_based_commission'];

        $receiver_percentage          = (int)$receiver_details['receiver_vatav'];
        $receiver_is_partnership_firm = (int)$receiver_details['partnership_firm'];
        $receiver_minimum             = $receiver_details['minimum'];
        $receiver_is_receiver_based             = $receiver_details['is_receiver_based'];
        $receiver_receiver_based_commission             = $receiver_details['receiver_based_commission'];

        $sender_opening_balance = $this->get_party_opening_balance($sender_party);
        $receiver_opening_balance = $this->get_party_opening_balance($receiver_party);
        // dd($receiver_opening_balance);
        $sender_balance   = $sender_opening_balance * 100;
        $receiver_balance = $receiver_opening_balance * 100;
       
        if ($sender_is_partnership_firm == 1 && $receiver_is_partnership_firm == 1) {
            $data['sender_vatav_amount'] = (int) $calculate_vatav_on;
            if ($sender_minimum != '') {
                $calculate_vatav_on = $this->generate_price_range($amount);
            }

            if ($flag == 0) {
                $calculate_vatav_on = $this->generate_price_range($amount);
            }
            
            $data['take_from_sender']           = ($calculate_vatav_on / 100) * $sender_percentage;
            $data['receiver_vatav_amount']      = floor(($calculate_vatav_on / 100) * $receiver_percentage);
            $data['receiver_commission_amount'] = $data['receiver_vatav_amount'];
            if($receiver_is_receiver_based == 1)
            {
                $data['sender_commission_amount']   = ($calculate_vatav_on / 100) * $sender_percentage;
                $data['our_vatav']                  = $data['sender_vatav_amount'] - $data['receiver_vatav_amount'] -  $data['sender_commission_amount'];
            }
            else
            {
                $data['sender_commission_amount']   = $data['sender_vatav_amount'] - $data['take_from_sender'];
                $data['our_vatav']                  = $data['take_from_sender'] - $data['receiver_commission_amount'];
            }
            // $data['our_vatav']                  = $data['take_from_sender'] - $data['receiver_commission_amount'];
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) $amount;
            // dd($data);
        }
       

        if ($sender_is_partnership_firm == 1 && $receiver_is_partnership_firm != 1) {
            $data['sender_vatav_amount'] = (int) $calculate_vatav_on;
            // dd($amount);
            if ($sender_minimum != '') {
                $calculate_vatav_on = $this->generate_price_range($amount);
            }
            if ($flag == 0) {
                $calculate_vatav_on = $this->generate_price_range($amount);
            }
            $data['take_from_sender']           = ($calculate_vatav_on / 100) * $sender_percentage;
            $data['receiver_vatav_amount']      = floor(($calculate_vatav_on / 100) * $receiver_percentage);
            $data['receiver_commission_amount'] = 0;
            // echo $data['take_from_sender'] .'<br>';
            // echo $data['receiver_vatav_amount'] .'<br>';
            // exit;
            if($receiver_is_receiver_based == 1)
            {
                $data['sender_commission_amount']   = ($calculate_vatav_on / 100) * $sender_percentage;
                $data['our_vatav']                  = $data['sender_vatav_amount'] - $data['receiver_vatav_amount'] -  $data['sender_commission_amount'];
            }
            else
            {
                $data['sender_commission_amount']   = $data['sender_vatav_amount'] - $data['take_from_sender'];
                $data['our_vatav']                  = $data['take_from_sender'] - $data['receiver_vatav_amount'];
            }
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) ($amount + $data['receiver_vatav_amount']);
        }
        if ($sender_is_partnership_firm != 1 && $receiver_is_partnership_firm == 1) {
            // $data['sender_vatav_amount'] = ceil(($calculate_vatav_on / 100) * $sender_percentage);
            if($receiver_is_receiver_based == 1)
            {
                $calculate_vatav_on_new = $this->generate_price_range($amount);
                $new_perc = 100 - $sender_percentage;
                $data['sender_vatav_amount'] = (int) $calculate_vatav_on - (ceil(($calculate_vatav_on_new / 100) * $new_perc));
                $data['receiver_vatav_amount']      = floor(($calculate_vatav_on_new / 100) * $receiver_percentage);
            }
            else
            {
                $data['sender_vatav_amount'] = ceil(($calculate_vatav_on / 100) * $sender_percentage);
                $data['receiver_vatav_amount']      = floor(($calculate_vatav_on / 100) * $receiver_percentage);
            }
            if ($flag == 0) {
                $calculate_vatav_on = $this->generate_price_range($amount);
            }
            $data['take_from_sender']           = $data['sender_vatav_amount'];
            $data['sender_commission_amount']   = 0;
            $data['receiver_commission_amount'] = $data['receiver_vatav_amount'];
            // echo $data['take_from_sender'] .'<br>';
            // echo $data['receiver_vatav_amount'] .'<br>';
            
            $data['our_vatav']                  = $data['take_from_sender'] - $data['receiver_vatav_amount'];
            // echo $data['our_vatav'] .'<br>';
            // exit;
           
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) $amount;
        }
        if ($sender_is_partnership_firm != 1 && $receiver_is_partnership_firm != 1) {
            if ($flag == 0) {
                $calculate_vatav_on = $this->generate_price_range($amount);
            }
            if($receiver_is_receiver_based == 1)
            {
                $calculate_vatav_on_new = $this->generate_price_range($amount);
                $new_perc = 100 - $sender_percentage;
                $data['sender_vatav_amount'] = (int) $calculate_vatav_on - (ceil(($calculate_vatav_on_new / 100) * $new_perc));
                $data['receiver_vatav_amount'] = floor(($calculate_vatav_on_new / 100) * $receiver_percentage);
                // dd($data);
            }
            else
            {
                $data['sender_vatav_amount'] = ceil(($calculate_vatav_on / 100) * $sender_percentage);
                $data['receiver_vatav_amount'] = floor(($calculate_vatav_on / 100) * $receiver_percentage);
            }

            $data['take_from_sender']           = $data['sender_vatav_amount'];
            $data['sender_commission_amount']   = 0;
            $data['receiver_commission_amount'] = 0;
            $data['our_vatav']                  = $data['take_from_sender'] - $data['receiver_vatav_amount'];
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) ($amount + $data['receiver_vatav_amount']);
        }
        $data['sender_closing_balance']   = $sender_balance + $data['sender_total_amount'];
        $data['receiver_closing_balance'] = $receiver_balance - $data['receiver_total_amount'];

        return $data;
    }

    //Manual Vatav
    public function calculateManualVatav($calculate_vatav_on,$sender_party,$receiver_party,$amount,$sender_balance,$receiver_balance,$flag=0)
    {
        $sender_details   = $this->getPartyDetailsFromId($sender_party);
        $receiver_details = $this->getPartyDetailsFromId($receiver_party);

        $sender_percentage          = $sender_details->sender_vatav;
        $sender_is_partnership_firm = $sender_details->partnership_firm;
        $sender_minimum             = $sender_details->minimum;

        $receiver_percentage          = $receiver_details->receiver_vatav;
        $receiver_is_partnership_firm = $receiver_details->partnership_firm;
        $receiver_minimum             = $receiver_details->minimum;

        $sender_opening_balance = $this->get_party_opening_balance($sender_party);
        $receiver_opening_balance = $this->get_party_opening_balance($receiver_party);
        // dd($receiver_opening_balance);
        $sender_balance   = $sender_opening_balance * 100;
        $receiver_balance = $receiver_opening_balance * 100;


        if ($sender_is_partnership_firm == 1 && $receiver_is_partnership_firm == 1) {

            $data['sender_vatav_amount'] = (int) $calculate_vatav_on;
            if ($sender_minimum != '') {
                $calculate_vatav_on = $this->generate_price_range($amount);
            }

            if ($flag == 0) {
                $calculate_vatav_on = $this->generate_price_range($amount);
            }

            $data['take_from_sender']           = ($calculate_vatav_on / 100) * $sender_percentage;
            $data['sender_commission_amount']   = $data['sender_vatav_amount'] - $data['take_from_sender'];
            $data['receiver_vatav_amount']      = floor(($calculate_vatav_on / 100) * $receiver_percentage);
            $data['receiver_commission_amount'] = $data['receiver_vatav_amount'];
            $data['our_vatav']                  = $data['take_from_sender'] - $data['receiver_commission_amount'];
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) $amount;

            $data['sender_vatav_amount'] = $data['sender_commission_amount'];
        }

        if ($sender_is_partnership_firm == 1 && $receiver_is_partnership_firm != 1) {

            $data['sender_vatav_amount'] = (int) $calculate_vatav_on;
            if ($sender_minimum != '') {
                $calculate_vatav_on = $this->generate_price_range($amount);
            }
            if ($flag == 0) {
                $calculate_vatav_on = $this->generate_price_range($amount);
            }

            $data['take_from_sender']           = ($calculate_vatav_on / 100) * $sender_percentage;
            $data['sender_commission_amount']   = $data['sender_vatav_amount'] - $data['take_from_sender'];
            $data['receiver_vatav_amount']      = floor(($calculate_vatav_on / 100) * $receiver_percentage);
            $data['receiver_commission_amount'] = 0;
            $data['our_vatav']                  = $data['take_from_sender'] - $data['receiver_vatav_amount'];
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) ($amount + $data['receiver_vatav_amount']);

            $data['sender_vatav_amount'] = $data['sender_commission_amount'];
        }

        if ($sender_is_partnership_firm != 1 && $receiver_is_partnership_firm == 1) {
            $data['sender_vatav_amount'] = ceil(($calculate_vatav_on / 100) * $sender_percentage);
            if ($flag == 0) {
                $calculate_vatav_on = $this->generate_price_range($amount);
            }

            $data['take_from_sender']           = $data['sender_vatav_amount'];
            $data['sender_commission_amount']   = 0;
            $data['receiver_vatav_amount']      = floor(($calculate_vatav_on / 100) * $receiver_percentage);
            $data['receiver_commission_amount'] = $data['receiver_vatav_amount'];
            $data['our_vatav']                  = $data['take_from_sender'] - $data['receiver_vatav_amount'];
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) $amount;
        }

        if ($sender_is_partnership_firm != 1 && $receiver_is_partnership_firm != 1) {
            // dd('check');
            $data['sender_vatav_amount'] = ceil(($calculate_vatav_on / 100) * $sender_percentage);
            if ($flag == 0) {
                $calculate_vatav_on = $this->generate_price_range($amount);
            }
            // dd($data['sender_vatav_amount']);
            $data['take_from_sender']           = $data['sender_vatav_amount'];
            $data['sender_commission_amount']   = 0;
            $data['receiver_vatav_amount']      = floor(($calculate_vatav_on / 100) * $receiver_percentage);
            $data['receiver_commission_amount'] = 0;
            $data['our_vatav']                  = $data['take_from_sender'] - $data['receiver_vatav_amount'];
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) ($amount + $data['receiver_vatav_amount']);
        }
        $data['sender_closing_balance']   = $sender_balance + $data['sender_total_amount'];
        $data['receiver_closing_balance'] = $receiver_balance - $data['receiver_total_amount'];

        return $data;
    }

    public function calculate_vatav_new($sender_party,$receiver_party,$amount,$calculate_vatav_on,$sender_percentage,$receiver_percentage)
    {
        $sender_details               = $this->getPartyDetailsFromId($sender_party);
        $receiver_details             = $this->getPartyDetailsFromId($receiver_party);
        
        $sender_is_partnership_firm   = $sender_details['partnership_firm'];
        $receiver_is_partnership_firm = $receiver_details['partnership_firm'];

        // $sender_balance   = $sender_details['opening_balance'] * 100;
        // $receiver_balance = $receiver_details['opening_balance'] * 100;

        $sender_opening_balance = $this->get_party_opening_balance($sender_party);
        $receiver_opening_balance = $this->get_party_opening_balance($receiver_party);
        // dd($receiver_opening_balance);
        $sender_balance   = $sender_opening_balance * 100;
        $receiver_balance = $receiver_opening_balance * 100;

        if ($sender_is_partnership_firm == 1 && $receiver_is_partnership_firm == 1) {

            $data['sender_vatav_amount']        = (int) $calculate_vatav_on;
            $data['take_from_sender']           = $calculate_vatav_on;
            $data['sender_commission_amount']   = $sender_percentage;
            $data['receiver_vatav_amount']      = $receiver_percentage;
            $data['receiver_commission_amount'] = $data['receiver_vatav_amount'];
            $data['our_vatav']                  = $calculate_vatav_on - ($sender_percentage + $receiver_percentage);
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) $amount;
        }

        if ($sender_is_partnership_firm == 1 && $receiver_is_partnership_firm != 1) {

            $data['sender_vatav_amount'] = (int) $calculate_vatav_on;

            $data['take_from_sender']           = $calculate_vatav_on;
            $data['sender_commission_amount']   = $sender_percentage;
            $data['receiver_vatav_amount']      = $receiver_percentage;
            $data['receiver_commission_amount'] = 0;
            $data['our_vatav']                  = $calculate_vatav_on - ($sender_percentage + $receiver_percentage);
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) ($amount + $data['receiver_vatav_amount']);
        }

        if ($sender_is_partnership_firm != 1 && $receiver_is_partnership_firm == 1) {

            $data['sender_vatav_amount']        = $sender_percentage;
            $data['take_from_sender']           = $data['sender_vatav_amount'];
            $data['sender_commission_amount']   = 0;
            $data['receiver_vatav_amount']      = $receiver_percentage;
            $data['receiver_commission_amount'] = $data['receiver_vatav_amount'];
            $data['our_vatav']                  = $sender_percentage - $receiver_percentage;
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) $amount;
        }

        if ($sender_is_partnership_firm != 1 && $receiver_is_partnership_firm != 1) {

            $data['sender_vatav_amount']        = $sender_percentage;
            $data['take_from_sender']           = $data['sender_vatav_amount'];
            $data['sender_commission_amount']   = 0;
            $data['receiver_vatav_amount']      = $receiver_percentage;
            $data['receiver_commission_amount'] = 0;
            $data['our_vatav']                  = $sender_percentage - $receiver_percentage;
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) ($amount + $data['receiver_vatav_amount']);
        }
        $data['sender_closing_balance']   = $sender_balance + $data['sender_total_amount'];
        $data['receiver_closing_balance'] = $receiver_balance - $data['receiver_total_amount'];

        return $data;
    }

    public function calculate_manual_vatav($sender_party,$receiver_party,$amount,$calculate_vatav_on,$sender_percentage,$receiver_percentage,$sender_balance,$receiver_balance,$flag)
    {
        if($flag != 0)
        {
            return $this->calculate_vatav_new($sender_party,$receiver_party,$amount,$calculate_vatav_on,$sender_percentage,$receiver_percentage);

        }
        else
        {
            return $this->calculateManualVatav($calculate_vatav_on,$sender_party,$receiver_party,$amount,$sender_balance,$receiver_balance,$flag);

        }
    }

    //Normal Vatav
    public function calculateNormalVatav($amount,$sender_balance,$receiver_balance)
    {
        $sender_balance =  $sender_balance * 100;
        // dd($amount);
        $receiver_balance = $receiver_balance * 100;

        $data['our_vatav']             = 0;
        $data['sender_total_amount']   = $amount;
        $data['receiver_total_amount'] = -$amount;

        $data['sender_vatav_amount']      = 0;
        $data['receiver_vatav_amount']    = 0;
        $data['sender_closing_balance']   = $sender_balance + $data['sender_total_amount'];
        $data['receiver_closing_balance'] = $receiver_balance - $data['sender_total_amount'];

        return $data;
    }

    public function calculateNamuVatav($amount,$sender_balance,$receiver_balance)
    {
        $sender_balance = $sender_balance * 100;
        $receiver_balance = $receiver_balance * 100;

        $data['our_vatav']             = 0;
        $data['sender_total_amount']   = $amount;
        $data['receiver_total_amount'] = $amount;

        $data['sender_vatav_amount']      = 0;
        $data['receiver_vatav_amount']    = 0;
        $data['sender_closing_balance']   = $sender_balance - ($data['sender_total_amount']);
        $data['receiver_closing_balance'] = $receiver_balance + ($data['receiver_total_amount']);

        return $data;
    }

    public function calculateAppAutoVatav($senderDetails, $receiverDetails, $amount, $calculate_vatav_on, $sender_party_id, $receiver_party_id): array
    {

        $sender_new_details   = $this->getPartyDetailsFromId($sender_party_id);
        $receiver_new_details = $this->getPartyDetailsFromId($receiver_party_id);

        $receiver_is_receiver_based  = $receiver_new_details['is_receiver_based'];

        $sender_percentage = $senderDetails->sender_vatav;
        $receiver_percentage = $receiverDetails->receiver_vatav;

        $sender_is_partnership_firm = (int) $senderDetails->partnership_firm;

        $receiver_is_partnership_firm = (int)$receiverDetails->partnership_firm;


        if ($sender_is_partnership_firm == 1 && $receiver_is_partnership_firm == 1) {
            $data['sender_vatav_amount'] = (int) $calculate_vatav_on;

            $data['take_from_sender']           = ($calculate_vatav_on / 100) * $sender_percentage;
            $data['receiver_vatav_amount']      = floor(($calculate_vatav_on / 100) * $receiver_percentage);
            $data['receiver_commission_amount'] = $data['receiver_vatav_amount'];
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) $amount;

            if($receiver_is_receiver_based == 1)
            {
                $data['our_vatav'] = $data['sender_vatav_amount'] - $data['receiver_commission_amount'];
                $data['sender_commission_amount']   = $data['sender_vatav_amount'];
            }
            else
            {
                $data['our_vatav'] = $data['take_from_sender'] - $data['receiver_commission_amount'];
                $data['sender_commission_amount']   = $data['sender_vatav_amount'] - $data['take_from_sender'];
            }
        }


        if ($sender_is_partnership_firm == 1 && $receiver_is_partnership_firm != 1) {
            $data['sender_vatav_amount'] = (int) $calculate_vatav_on;
            $data['take_from_sender']           = ($calculate_vatav_on / 100) * $sender_percentage;
            $data['receiver_vatav_amount']      = floor(($calculate_vatav_on / 100) * $receiver_percentage);
            $data['receiver_commission_amount'] = 0;
            
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) ($amount + $data['receiver_vatav_amount']);
            if($receiver_is_receiver_based == 1)
            {
                $data['our_vatav'] = $data['sender_total_amount'] - $data['receiver_total_amount'];
                $data['sender_commission_amount']   = $data['sender_vatav_amount'];
            }
            else
            {
                $data['our_vatav'] = $data['take_from_sender'] - $data['receiver_vatav_amount'];
                $data['sender_commission_amount']   = $data['sender_vatav_amount'] - $data['take_from_sender'];
            }
        }
        if ($sender_is_partnership_firm != 1 && $receiver_is_partnership_firm == 1) {
            if($receiver_is_receiver_based == 1)
            {
                $data['sender_vatav_amount'] = (int) $calculate_vatav_on;
            }
            else
            {
                $data['sender_vatav_amount'] = ceil(($calculate_vatav_on / 100) * $sender_percentage);
            }


            $data['take_from_sender']           = $data['sender_vatav_amount'];
            $data['sender_commission_amount']   = 0;
            $data['receiver_vatav_amount']      = floor(($calculate_vatav_on / 100) * $receiver_percentage);
            $data['receiver_commission_amount'] = $data['receiver_vatav_amount'];
            $data['our_vatav']                  = $data['take_from_sender'] - $data['receiver_vatav_amount'];
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) $amount;
        }
        if ($sender_is_partnership_firm != 1 && $receiver_is_partnership_firm != 1) {
            if($receiver_is_receiver_based == 1)
            {
                $data['sender_vatav_amount'] = (int) $calculate_vatav_on;
            }
            else
            {
                $data['sender_vatav_amount'] = ceil(($calculate_vatav_on / 100) * $sender_percentage);
            }

            $data['take_from_sender']           = $data['sender_vatav_amount'];
            $data['sender_commission_amount']   = 0;
            $data['receiver_vatav_amount']      = floor(($calculate_vatav_on / 100) * $receiver_percentage);
            $data['receiver_commission_amount'] = 0;
            $data['our_vatav']                  = $data['take_from_sender'] - $data['receiver_vatav_amount'];
            $data['sender_total_amount']        = (int) ($amount + $data['sender_vatav_amount']);
            $data['receiver_total_amount']      = (int) ($amount + $data['receiver_vatav_amount']);
        }

        return $data;
    }

    public function getSenderVatavListWithStatus($party,$start_date,$end_date,$status): array
    {
        $allPartyList = $this->getAllPartyWithCode();
        $vatavBackUpQuery = DB::table('party as p')->select('v.token', 'v.label', 'v.ho_approve', 'v.type', 'pb.opening_balance', 'v.sender_token', 'v.receiver_token', 'v.id', DB::raw("DATE_FORMAT(v.date, '%d-%m-%y %h:%i %p') AS date"), 'v.sender_name', 'v.sender_contact', 'v.receiver_name', 'v.receiver_contact', 'v.sender as sender', 'v.receiver as opp', 'v.r_vatav', 'v.s_vatav', 'v.amount', 'v.sender_total_amount', 'v.receiver_total_amount', 'v.remarks', 'v.serial_no', 'pb.closing_balance','v.sender_party_id','v.receiver_party_id')
            ->join('vatavBackUp as v', 'p.id', '=', 'v.sender_party_id')
            ->leftJoin('party_balance as pb', function ($join) {
                $join->on('pb.party_id', '=', 'p.id')
                    ->on('pb.vatav_id', '=', 'v.id');
            })
            ->where('p.id', '=', $party)
//            ->where('v.date', 'LIKE', $date . '%')
            ->whereBetween(DB::raw('DATE(v.date)'), [$start_date, $end_date])
            ->where('v.is_deleted', '=', 0)
            ->where('v.status', '=', $status)
            ->where('v.ho_approve', '=', 1)
            ->orderBy('v.serial_no', 'DESC');

        $vatavQuery = DB::table('party as p')->select('v.token', 'v.label', 'v.ho_approve', 'v.type', 'pb.opening_balance', 'v.sender_token', 'v.receiver_token', 'v.id', DB::raw("DATE_FORMAT(v.date, '%d-%m-%y %h:%i %p') AS date"), 'v.sender_name', 'v.sender_contact', 'v.receiver_name', 'v.receiver_contact', 'v.sender as sender', 'v.receiver as opp', 'v.r_vatav', 'v.s_vatav', 'v.amount', 'v.sender_total_amount', 'v.receiver_total_amount', 'v.remarks', 'v.serial_no', 'pb.closing_balance','v.sender_party_id','v.receiver_party_id')
            ->join('vatav as v', 'p.id', '=', 'v.sender_party_id')
            ->leftJoin('party_balance as pb', function ($join) {
                $join->on('pb.party_id', '=', 'p.id')
                    ->on('pb.vatav_id', '=', 'v.id');
            })
            ->where('p.id', '=', $party)
//            ->where('v.date', 'LIKE', $date . '%')
            ->whereBetween(DB::raw('DATE(v.date)'), [$start_date, $end_date])
            ->where('v.is_deleted', '=', 0)
            ->where('v.status', '=', $status)
            ->where('v.ho_approve', '=', 1)
            ->orderBy('v.serial_no', 'DESC');
        $allEntryList = $vatavBackUpQuery->union($vatavQuery)->get();
        $final_data = array();
        foreach ($allEntryList as $_allEntryList) {
            $name = explode(" (", $_allEntryList->opp);
            $opp_name = explode(")", $name[1]);

            if ($allPartyList[$_allEntryList->receiver_party_id]->city == 'AH RPO') {
                $opp_name[0] = 'RATANPOL VIA';
            }
            if ($allPartyList[$_allEntryList->receiver_party_id]->city == 'KLM') {
                $opp_name[0] = 'RATANPOL VIA';
            }
            $_allEntryList->opp = $opp_name[0];
            $final_data[] = $_allEntryList;
        }
        return $final_data;
    }

    public function getReceiverVatavListWithStatus($party,$date,$status): array
    {
        $allPartyList = $this->getAllPartyWithCode();

        $vatavBackUpQuery = DB::table('party as p')->select('v.token', 'v.label', 'v.type', 'pb.opening_balance', 'v.sender_token', 'v.receiver_token', 'v.id', DB::raw("DATE_FORMAT(v.date, '%d-%m-%y %h:%i %p') AS date"), 'v.sender_name', 'v.sender_contact', 'v.receiver_name', 'v.receiver_contact', 'v.sender as sender', 'v.receiver as opp', 'v.r_vatav', 'v.s_vatav', 'v.amount', 'v.sender_total_amount', 'v.receiver_total_amount', 'v.remarks', 'v.serial_no', 'pb.closing_balance','v.sender_party_id')
            ->join('vatavBackUp as v', 'v.receiver_party_id', '=', 'p.id')
            ->leftJoin('party_balance as pb', function ($join) {
                $join->on('pb.party_id', '=', 'p.id')
                    ->on('pb.vatav_id', '=', 'v.id');
            })
            ->where('p.id','=', $party)
            ->where('v.date', 'LIKE', $date . '%')
            ->where('v.is_deleted','=', 0)
            ->where('v.status','=', $status)
            ->where('v.ho_approve','=', 1)
            ->orderBy('v.serial_no', 'DESC');

        $vatavQuery = DB::table('party as p')->select('v.token', 'v.label', 'v.type', 'pb.opening_balance', 'v.sender_token', 'v.receiver_token', 'v.id', DB::raw("DATE_FORMAT(v.date, '%d-%m-%y %h:%i %p') AS date"), 'v.sender_name', 'v.sender_contact', 'v.receiver_name', 'v.receiver_contact', 'v.sender as sender', 'v.receiver as opp', 'v.r_vatav', 'v.s_vatav', 'v.amount', 'v.sender_total_amount', 'v.receiver_total_amount', 'v.remarks', 'v.serial_no', 'pb.closing_balance','v.sender_party_id')
            ->join('vatav as v', 'v.receiver_party_id', '=', 'p.id')
            ->leftJoin('party_balance as pb', function ($join) {
                $join->on('pb.party_id', '=', 'p.id')
                    ->on('pb.vatav_id', '=', 'v.id');
            })
            ->where('p.id','=', $party)
            ->where('v.date', 'LIKE', $date . '%')
            ->where('v.is_deleted','=', 0)
            ->where('v.status','=', $status)
            ->where('v.ho_approve','=', 1)
            ->orderBy('v.serial_no', 'DESC');

        $allEntryList = $vatavBackUpQuery->union($vatavQuery)->get();

        $final_data = array();
        foreach ($allEntryList as $_allEntryList) {
            $name = explode(" (", $_allEntryList->sender);
            $opp_name = explode(")", $name[1]);

            if ($allPartyList[$_allEntryList->sender_party_id]->city == 'AH RPO') {
                $opp_name[0] = 'RATANPOL VIA';
            }
            if ($allPartyList[$_allEntryList->sender_party_id]->city == 'KLM') {
                $opp_name[0] = 'RATANPOL VIA';
            }
            $_allEntryList->sender = $opp_name[0];
            $final_data[] = $_allEntryList;
        }

        return $final_data;
    }
}
