<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\HasMany;
use Illuminate\Database\Eloquent\SoftDeletes;

class Vatav extends Model
{
    use HasFactory,SoftDeletes;
    protected $table = 'vatav';
    public $timestamps = true;
    protected $softDelete = true;
    protected $fillable = [
        'serial_no',
        'date',
        'sender',
        'receiver',
        'sender_party_id',
        'receiver_party_id',
        'amount',
        'sender_total_amount',
        'receiver_total_amount',
        'total_vatav_label',
        's_vatav',
        'r_vatav',
        'o_vatav',
        'sender_commission_party_id',
        'receiver_commission_party_id',
        'sender_commission_party_amount',
        'receiver_commission_party_amount',
        'sender_is_partnership_firm',
        'receiver_is_partnership_firm',
        'type',
        'sender_name',
        'sender_contact',
        'receiver_name',
        'receiver_contact',
        'remarks',
        'token',
        'sender_token',
        'receiver_token',
        'entered_by',
        'status',
        'label',
        'ho_approve',
        'is_deleted',
        'deleted_by',
        'deleted_time',
        'receive_time',
        's_adhar_number',
        'address',
        'local_vatav_id',
        'device_type',
    ];


    public function sender_party(): HasMany
    {
        return $this->hasMany('App\Models\Party', 'id', 'sender_party_id');
    }

    public function receiver_party(): HasMany
    {
        return $this->hasMany('App\Models\Party', 'id', 'receiver_party_id');
    }
}
