<?php

namespace App\Providers;

// use Illuminate\Support\Facades\Gate;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use App\Auth\CustomGuard;
use App\Services\CustomEncryption;
use Illuminate\Support\Facades\Auth;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The model to policy mappings for the application.
     *
     * @var array<class-string, class-string>
     */
    protected $policies = [
        //
    ];

    /**
     * Register any authentication / authorization services.
     */
    public function boot(): void
    {
        //
        $this->registerPolicies();
    }

    public function register()
    {
        $this->app->singleton(CustomEncryption::class, function ($app) {
            return new CustomEncryption();
        });

        Auth::extend('custom', function ($app, $name, array $config) {
            $provider = Auth::createUserProvider($config['provider']);

            return new CustomGuard($name, $provider, $app['session.store'], $app['request'], $app->make(CustomEncryption::class));
        });
    }
}
