<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('party', function (Blueprint $table) {
            $table->id();
            $table->string('code',50)->unique();
            $table->string('name',50);
            $table->string('address',50)->nullable();
            $table->string('city',50)->nullable();
            $table->string('phone_no',50)->nullable();
            $table->double('vatav')->nullable()->default(0);
            $table->double('sender_vatav')->nullable()->default(0);
            $table->double('receiver_vatav')->nullable()->default(0);
            $table->double('opening_balance')->nullable();
            $table->string('transfer_limit')->nullable();
            $table->string('username',255);
            $table->string('password',255);
            $table->string('reference_name',255)->nullable();
            $table->string('reference_contact',255)->nullable();
            $table->tinyInteger('partnership_firm')->nullable()->default(0);
            $table->integer('minimum',255)->nullable()->default(0);
            $table->bigInteger('commission_party')->nullable();
            $table->integer('parent_party')->nullable()->default(0);
            $table->tinyInteger('is_mobile',255)->nullable()->default(1);
            $table->tinyInteger('is_deleted')->nullable()->default(0);
            $table->tinyInteger('is_logged_in')->nullable()->default(0);
            $table->string('status',255)->nullable()->default('active');
            $table->tinyInteger('is_close',255)->nullable()->default(0);
            $table->string('number_of_login',255)->nullable()->default('active');
            $table->string('per_label_limit',255)->nullable()->default('active');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('party');
    }
};
