<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('vatav', function (Blueprint $table) {
            $table->id();
            $table->bigInteger('serial_no')->nullable();
            $table->timestamp('date')->nullable();
            $table->string('sender');
            $table->string('receiver');
            $table->unsignedBigInteger('sender_party_id');
            $table->unsignedBigInteger('receiver_party_id');
            $table->decimal('amount',15,2);
            $table->decimal('sender_total_amount',15,2)->nullable();
            $table->decimal('receiver_total_amount',15,2)->nullable();
            $table->decimal('total_vatav_label',15,2)->nullable()->default(0.00);
            $table->decimal('s_vatav',15,2)->nullable();
            $table->decimal('r_vatav',15,2)->nullable();
            $table->decimal('o_vatav',15,2)->nullable();
            $table->unsignedBigInteger('sender_commission_party_id')->nullable();
            $table->unsignedBigInteger('receiver_commission_party_id')->nullable();
            $table->decimal('sender_commission_party_amount', 15, 2)->nullable();
            $table->decimal('receiver_commission_party_amount', 15, 2)->nullable();
            $table->boolean('sender_is_partnership_firm')->nullable();
            $table->boolean('receiver_is_partnership_firm')->nullable();
            $table->string('type',50);
            $table->string('sender_name',50)->nullable();
            $table->string('sender_contact',50)->nullable();
            $table->string('receiver_name',50)->nullable();
            $table->string('receiver_contact',50)->nullable();
            $table->string('remarks',500)->nullable();
            $table->string('token')->nullable();
            $table->string('sender_token')->nullable();
            $table->string('receiver_token')->nullable();
            $table->string('entered_by');
            $table->string('status',50)->nullable();
            $table->string('label')->nullable();
            $table->boolean('ho_approve')->default(1);
            $table->integer('is_deleted')->default(0);
            $table->string('deleted_by')->nullable();
            $table->timestamp('deleted_time')->nullable();
            $table->timestamp('receive_time')->nullable();
            $table->string('s_adhar_number')->nullable();
            $table->string('address')->nullable();
            $table->bigInteger('local_vatav_id')->nullable();
            $table->string('device_type')->nullable()->default('web');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('vatav');
    }
};
