<?php

namespace Database\Seeders;

// use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Hash;
class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        // \App\Models\User::factory(10)->create();

        // \App\Models\User::factory()->create([
        //     'name' => 'Test User',
        //     'email' => 'test@example.com',
        // ]);

        DB::table('modules')->insert([
            [
                'module_name' => 'Party',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Autovatav',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Manualvatav',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Normalvatav',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Generalreport',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Partyreport',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Dayreport',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Dayentryreport',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Cityreport',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Partytopartyreport',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Vatavreport',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Users',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Download',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Labelreport',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Notices',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'DeletedEntryReport',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'CommissionReport',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Namu',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'Mobileparty',
                'created_at' => now(),
                'updated_at' => now(),
            ],
            [
                'module_name' => 'SearchReport',
                'created_at' => now(),
                'updated_at' => now(),
            ],
        ]);

        $permissionsArray = DB::table('modules')->pluck('id')->toArray();
        $permissions = implode(',',$permissionsArray);

        $partyId = DB::table('party')->insertGetId([
            'code' => 'VAT',
            'name' => 'VAT',
            'city' => 'VAT',
            'status' => 'active',
        ]);

        $password = Hash::make('smn@2024');
        $username = 'SMN';

        $userId = DB::table('company')->insertGetId([
            'company_name' => 'SMN',
            'company_email' =>  'smn@gmail.com',
            'company_contact' => '1234567890',
            'username' => $username,
            'password' => $password,
            'role' => 'superadmin',
            'parties' => $partyId,
            'permissions' => $permissions,
            'created_at' => now(),
            'updated_at' => now(),
            'status'=>'active',
        ]);

        DB::table('users')->insert([
            'name' => 'SMN',
            'email' => $username,
            'password' => $password,
            'user_type' => 'company',
            'user_id' => $userId,
            'created_at' => now(),
            'updated_at' => now(),
        ]);

    }
}
