<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Hash;

class PartyBackUpSeeder extends Seeder
{
    public function run()
    {
        $oldRecords = DB::table('partyBackUpTemp')->get();

        foreach ($oldRecords as $record) {
            $sender_vatav = 100 - $record->vatav;

            // Prepare data for insertion
            $data = [
                'id' => $record->id,
                'code' => $record->code,
                'name' => $record->name,
                'address' => $record->address,
                'city' => $record->city,
                'phone_no' => $record->phone_no,
                'vatav' => $record->vatav,
                'opening_balance' => $record->opening_balance,
                'transfer_limit' => $record->transfer_limit,
                'username' => $record->username,
                'reference_name' => $record->reference_name,
                'reference_contact' => $record->reference_contact,
                'partnership_firm' => $record->partnership_firm,
                'minimum' => $record->minimum,
                'commission_party' => $record->commission_party,
                'parent_party' => $record->parent_party,
                'is_mobile' => $record->is_mobile,
                'is_deleted' => $record->is_deleted,
                'is_logged_in' => $record->is_logged_in,
                'status' => $record->status,
                'is_close' => $record->is_close,
                'number_of_login' => $record->number_of_login,
                'sender_vatav' => $sender_vatav,
                'receiver_vatav' => $record->vatav,
                'per_label_limit' => $record->per_label_limit,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
            ];

            // Conditionally set the password
            if ($record->password) {
                $data['password'] = Hash::make('RK2024');
            } else {
                $data['password'] = null;
            }

            // Insert the data
            DB::table('party')->insert($data);
        }
    }
}
