<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Carbon;
use Illuminate\Support\Facades\Hash;

class PartyUserSeeder extends Seeder
{
    public function run()
    {
        $oldRecords = DB::table('party_users_temp')->get();

        foreach ($oldRecords as $record) {
            $data = [
                'id' => $record->id,
                'username' => $record->username,
                'parent_party' => $record->parent_party,
                'permissions' => $record->permissions,
                'is_deleted' => $record->is_deleted,
                'is_logged_in' => 0,
                'status' => $record->status,
                'created_at' => Carbon::now(),
                'updated_at' => Carbon::now(),
            ];
            if ($record->password) {
                $data['password'] = Hash::make('RK2024');
            } else {
                $data['password'] = null;
            }

            DB::table('party_user')->insert($data);
        }
    }
}
