<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="csrf-token" content="{{csrf_token()}}" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <title>@yield('title') - {{env('APP_NAME')}}</title>
        <link rel="apple-touch-icon" href="{{asset('public/images/favicon.ico')}}" />
        <link rel="shortcut icon" type="image/x-icon" href="{{asset('images/favicon.ico')}}" />
        <link href='https://fonts.googleapis.com/css?family=Open+Sans' rel='stylesheet' type='text/css'/>
        <link rel="stylesheet" type="text/css" href="{{asset('public/css/bootstrap.css')}}" />
        <link rel="stylesheet" type="text/css" href="{{asset('public/css/custom.css')}}" />
    </head>

    <body class="blank-page bg-full-screen-image">
        <div class="app-content content">
            <div class="content-overlay"></div>
            <div class="content-wrapper">
                <div class="content-header row"></div>
                <div class="content-body">
                    @yield('content')
                </div>
            </div>
        </div>
        <script type="text/javascript" src="{{asset('public/js/jquery-3.6.3.min.js')}}"></script>
        <script type="text/javascript" src="{{asset('public/vendors/popper.min.js')}}"></script>
        <script type="text/javascript" src="{{asset('public/bootstrap/js/bootstrap.min.js')}}"></script>
        <script type="text/javascript" src="{{asset('public/vendors/sweetalert2/sweetalert2.min.js')}}"></script>
        <script type="text/javascript" src="{{asset('public/vendors/bootstrap-notify.min.js')}}"></script>
        <script type="text/javascript" src="{{asset('public/js/firebase-app.js')}}"></script>
        <script type="text/javascript" src="{{asset('public/js/firebase-messaging.js')}}"></script>

        <script>

            let MsgElem = document.getElementById("msg")
            let TokenElem = document.getElementById("token")
            let NotisElem = document.getElementById("notis")
            let ErrElem = document.getElementById("err")

            let config = {
                messagingSenderId: '765107837166'
            };
            firebase.initializeApp(config);

            if ('serviceWorker' in navigator) {
                window.addEventListener('load', function() {
                    var url = "{{asset('public/js/firebase-messaging-sw.js')}}";
                    navigator.serviceWorker.register(url).then(function(registration) {

                    }, function(err) {
                        // registration failed :(
                        console.log('ServiceWorker registration failed: ', err);
                    });
                });
            }

            const messaging = firebase.messaging();

            messaging.requestPermission()
                .then(function () {
                    console.log("Notification permission granted.");

                    // get the token in the form of promise
                    return messaging.getToken()
                })
                .then(function(token) {
                    // print the token on the HTML page
                    TokenElem.value = token;
                })
                .catch(function (err) {
                    // ErrElem.innerHTML = ErrElem.innerHTML + "; " + err
                    console.log("Unable to get permission to notify.", err);
                });
        </script>

        @yield('script')
    </body>
</html>
