<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid black;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }

    .secondthead {
        background-color: white;
        color: #4c5252 !important;
    }

</style>
@php
    date_default_timezone_set('Asia/Kolkata');
    $inputs = $data['inputs'];
    $opening_balance = $data['opening_balance'];
    $allParties = $data['allParties'];
    $credit_sum = $data['credit_sum'];
    $debit_sum = $data['debit_sum'];
@endphp
<table style="border:none">
    <tr>
        <td><b>PartyName: </b></td>
        <td>{{ $inputs['party_name'] }}</td>
        <td><b> Downloaded By: </b></td>
        <td>{{ $inputs['downloaded_by'] }}</td>
    </tr>
    <tr>
        <td><b> Date between: </b></td>
        <td>{{ $inputs['date'] }}</td>
        <td><b> Downloaded Date/Time: </b></td>
        <td>{{ date('d-m-Y h:i:s') }}</td>
    </tr>
</table>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover" id="dataTables1">
        <caption><h1>Party Report</h1></caption>
        <thead>
        <tr>
            <th>Date</th>
            <th>Time</th>
            <th>Opp. Party</th>
            <th>Credit</th>
            <th>Debit</th>
        </tr>
        </thead>
        <thead>
        <tr>
            <th class="secondthead" colspan="3">Opening Balance</th>
            <th class="secondthead">

                @if ($opening_balance >= 0)
                    {{ number_format($opening_balance, 2,'.', '') }}
                @endif

            </th>
            <th class="secondthead">
                @if ($opening_balance < 0)
                    {{ number_format($opening_balance, 2, '.', '') }}
                @endif
            </th>
        </tr>
        </thead>
        <tbody>
        @foreach($allParties as $_allParties)
            <tr>
                <td>
                    {{  date('d-m-Y',strtotime($_allParties['date'])) }}
                </td>
                <td>
                    {{ date('h:i:s',strtotime($_allParties['date'])) }}
                </td>
                <td>
                    {{ $_allParties['opposite_party'] }}
                </td>
                <td>
                    @if($_allParties['credit'] != 0)
                        {{ number_format($_allParties['credit'],'2','.','') }}
                    @endif
                </td>
                <td>
                    @if($_allParties['debit'] !=0)
                        {{ number_format($_allParties['debit'],'2','.','') }}
                    @endif
                </td>
            </tr>
        @endforeach
        <tr>

            <td></td>
            <td></td>
            <td style="text-align: right"><b>Total</b></td>
            <td><b>{{ $credit_sum}}</b></td>
            <td><b>{{ $debit_sum}}</b></td>
        </tr>
        </tbody>
    </table>
</div>