@extends('layouts/user_master',['pageSlug' => 'autovatav'])
@section('title','Auto Entry Add')
@section('content')
    <div id="page-wrapper">
        <div id="page-inner" style="min-height:auto;">
            <div class="row">
                <div class="col-md-12">
                    <h2 class="mb-5">Add Auto Vatav</h2>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="panel panel-default">
                        <form method="POST" role="form" id="addautovatav" action="{{route('autovatav.store')}}">
                            @csrf
                            <div class="panel-body">
                                <div class="row">
                                    <div class="form-group col-md-6">
                                        <label>Date</label>
                                        <input name="date" type="text" class="form-control" id="datetimepicker1"
                                               tabindex=-1
                                               required/>
                                        <p class="help-block"></p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-md-2">
                                        <label>Sender</label>
                                        <select id="autovatav_sender" name="sender" class="form-control chzn-select"
                                                tabindex="1" required/>
                                        <option value="">Select</option>
                                        @foreach ($partList as $_partList)
                                            <option value="{{$_partList['id']}}">{{$_partList['value']}}</option>
                                            @endforeach
                                            </select>
                                            <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label></label>
                                        <input id="sender_limit" name="sender_limit" type="hidden"
                                               class="form-control"/>
                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label></label>
                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label>Current Balance</label>
                                        <input name="sender_opening_balance" id="sender_opening_balance" type="text"
                                               class="form-control" tabindex="-1" readonly/>
                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label>Total Amount</label>
                                        <input name="sender_vatav_percentage" id="sender_vatav_percentage" type="hidden"
                                               class="form-control" readonly/>
                                        <input name="sender_vatav_amount" id="sender_vatav_amount" type="hidden"
                                               class="form-control" tabindex="-1" readonly/>
                                        <input name="minimum" id="minimum" type="hidden" class="form-control"
                                               tabindex="-1"
                                               readonly/>

                                        <input name="sender_total_amount" id="sender_total_amount" type="text"
                                               class="form-control" tabindex="-1" readonly/>
                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label>Closing Balance</label>
                                        <input name="sender_closing_balance" id="sender_closing_balance" type="text"
                                               class="form-control" tabindex="-1" readonly/>
                                        <p class="help-block"></p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-md-2">
                                        <label>Receiver</label>
                                        <select id="autovatav_receiver" name="receiver" class="form-control chzn-select"
                                                tabindex="2" required>
                                            <option value="">Select</option>
                                            @foreach ($receiverList as $_receiverList)
                                                <option value="{{$_receiverList['id']}}">{{$_receiverList['value']}}</option>
                                            @endforeach
                                        </select>
                                        <p class="help-block"></p>
                                    </div>
                                    <input id="receiver_limit" name="receiver_limit" type="hidden"
                                           class="form-control"/>
                                    <div class="form-group col-md-2">
                                        <label>Amount</label>
                                        <input name="amount" type="text" id="amount" class="form-control" tabindex="3"
                                               required/>
                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label></label>
                                        <input name="receiver_vatav_percentage" id="receiver_vatav_percentage"
                                               type="hidden"
                                               class="form-control" readonly/>
                                        <input name="vatav_on_receiver" type="text" class="form-control"
                                               id="vatav_on_receiver" tabindex="4"/>
                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label></label>
                                        <input name="receiver_opening_balance" type="text" id="receiver_opening_balance"
                                               tabindex="-1" class="form-control" readonly/>
                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label></label>
                                        <input name="receiver_vatav_amount" type="hidden" id="receiver_vatav_amount"
                                               tabindex="-1" class="form-control" readonly/>
                                        <input name="receiver_total_amount" type="text" id="receiver_total_amount"
                                               tabindex="-1" class="form-control" readonly/>
                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-2">
                                        <label></label>
                                        <input name="receiver_closing_balance" type="text" id="receiver_closing_balance"
                                               tabindex="-1" class="form-control" readonly/>
                                        <p class="help-block"></p>
                                    </div>
                                </div>
                                <div class="row" style="display:none;">
                                    <input name="sender_partnership_firm" id="sender_partnership_firm" type="text"
                                           class="form-control" tabindex=-1 readonly/>
                                    <input name="receiver_partnership_firm" id="receiver_partnership_firm" type="text"
                                           class="form-control" tabindex=-1 readonly/>
                                    <input name="is_receiver_based" id="is_receiver_based" type="text"
                                           class="form-control" tabindex=-1 readonly/>

                                    Sender commission party<input name="sender_commission_party"
                                                                  id="sender_commission_party" type="text"
                                                                  class="form-control" tabindex=-1 readonly/>
                                    Receiver commission party<input name="receiver_commission_party"
                                                                    id="receiver_commission_party" type="text"
                                                                    class="form-control" tabindex=-1 readonly/>
                                    Our Vatav<input name="our_vatav" id="our_vatav" type="text" class="form-control"
                                                    tabindex=-1 readonly/>
                                    Sender Commission<input name="sender_commission" id="sender_commission" type="text"
                                                            class="form-control" tabindex=-1 readonly/>
                                    Receiver Commission<input name="receiver_commission" id="receiver_commission"
                                                              type="text" class="form-control" tabindex=-1 readonly/>
                                    <input name="receiver_based_commission" id="receiver_based_commission"
                                           type="text" class="form-control" tabindex=-1 readonly/>
                                </div>
                                <div class="row">
                                    <div class="form-group col-md-4">
                                        <label>Remarks</label>
                                        <input name="remarks" type="text" class="form-control" tabindex="5"/>
                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label>Token</label>
                                        <input name="token" type="text" class="form-control" value="{{$token}}"
                                               tabindex="1"/>
                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-4">
                                        <label>Adhar Number</label>
                                        <input name="s_adhar_number" type="text" class="form-control" tabindex="6"/>
                                        <p class="help-block"></p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-md-6">
                                        <label>Sender Name</label>
                                        <input name="sender_name" type="text" class="form-control" tabindex="7"/>
                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label>Sender Contact</label>
                                        <input name="sender_contact" type="text" class="form-control" tabindex="8"/>
                                        <p class="help-block"></p>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="form-group col-md-6">
                                        <label>Receiver Name</label>
                                        <input name="receiver_name" type="text" class="form-control" tabindex="9" />
                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-6">
                                        <label>Receiver Contact</label>
                                        <input name="receiver_contact" type="text" class="form-control" tabindex="10" />
                                        <p class="help-block"></p>
                                    </div>
                                </div>
                                <hr/>
                                <div class="row">
                                    <div class="form-group col-md-6">
                                        <button name="submit" type="submit" id="submit" class="btn btn-default"
                                                tabindex="11">
                                            Add More
                                        </button>
                                        <button name="testsubmit" id="test_submit" class="btn btn-default"
                                                style="display:none" tabindex=-1>Add More
                                        </button>

                                        <p class="help-block"></p>
                                    </div>
                                    <div class="form-group col-md-6" style="padding-left:350px">
                                        <button type="reset" class="btn btn-primary" tabindex=-1>Reset</button>
                                        <a href="{{ route('autovatav.index')}}" class="btn btn-primary" tabindex=-1>Cancel</a>
                                        <p class="help-block"></p>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>

        if (!count) {
            var count = 0;
        }

        // function to increment value of count variable
        $('#submit').on('click', function (e) {
            count++;
            if (count >= 1) {
                $("#addautovatav").submit();
                $('#submit').css('display', 'none');
                $('#test_submit').css('display', 'block');
                $('#test_submit').attr('disabled', 'true');

                //$('#submit').attr('disabled', true);
            }
        });

        $(document).ready(function () {

            let isMobile = /iPhone|iPad|iPod|Android/i.test(navigator.userAgent);

            if (isMobile) {
                $("#autovatav_sender").select2({
                    theme: "classic",
                    placeholder: $(this).data('placeholder')
                });

                $("#autovatav_receiver").select2({
                    theme: "classic",
                    placeholder: $(this).data('placeholder')
                });
            }

            $('#submit').attr('disabled', true);
            let is_access = {{ $is_access }};
            let date = new Date();
            let today = new Date(date.getFullYear(), date.getMonth(), date.getDate());
            if (!is_access) {
                $('#datetimepicker1').datetimepicker({
                    format: 'DD-MM-YYYY HH:mm:ss',
                    defaultDate: moment().toDate().getTime(),
                    minDate: new Date(),
                    maxDate: new Date(),
                });
            } else {
                $('#datetimepicker1').datetimepicker({
                    format: 'DD-MM-YYYY HH:mm:ss',
                    defaultDate: moment().toDate().getTime(),
                    minDate: new Date(),
                    maxDate: new Date(),
                });
            }
        });

        $(document).on('keypress', function (e) {
            let that = document.activeElement;
            if (e.which == 13) {
                if ($(that).attr("type") == "submit") {
                    return true;
                }
                e.preventDefault();
                $('[tabIndex=' + (+that.tabIndex + 1) + ']')[0].focus();
            }
        });

        $("#submit").on('click', function (e) {
            $(this).trigger("blur");

        });

        $("#amount").focusout(function () {
            let n = document.getElementById('amount').value;

            if (isNaN(n)) {
                n = 0;
                $("#amount").val("0.00");
                aField = document.getElementById('amount');
                setTimeout("aField.focus()", 50);
                $('#submit').prop('disabled', true);

            }

            if (n <= 0) {
                aField = document.getElementById('amount');
                setTimeout("aField.focus()", 50);
                $('#submit').prop('disabled', true);
                return false;
            }

        });

        $('#receiver_chosen').focusout(function () {

            let code = $("#autovatav_receiver").val();

            let scode = $('#sender').val();

            if (code == scode) {
                $("#autovatav_receiver").val(0);
                $('#autovatav_receiver').trigger("chosen:updated");
                let val = $("#autovatav_receiver").val();
                if (val == null) {
                    $('#autovatav_receiver_chosen a.chosen-single').focus();
                    return false;
                }
            }

        });

        $("#autovatav_sender").change(function () {
            let code = $(this).val();

            let rcode = $('#autovatav_receiver').val();

            if (code == rcode) {
                $("#autovatav_sender").val(0);
                $('#autovatav_sender').trigger("chosen:updated");
                let val = $("#autovatav_sender").val();
                if (val == null) {
                    $('#autovatav_sender_chosen a.chosen-single').focus();
                    return false;
                }
            }
            $.ajax({
                type: "POST",
                url: "{{ route('party.get_sender_balance')}}",
                data: {'code': code, "_token": "{{ csrf_token() }}"},
                success: function (result) {
                    let response = JSON.parse(result);
                    if (response.IsSuccess) {
                        let data = response.data;
                        console.log(data.partnership_firm);
                        if (data.partnership_firm == 1 && (data.commission_party == null || data.commission_party == "" || data.commission_party == 0)) {
                            alert("Please first choose commission party");
                            $("#sender_opening_balance").val("");
                            $('#submit').prop('disabled', true);
                            return false;
                        }
                        $("#sender_partnership_firm").val(data.partnership_firm);
                        $("#sender_opening_balance").val(data.opening_balance);
                        $("#sender_vatav_percentage").val(data.sender_vatav);
                        $("#sender_limit").val(data.limit);
                        if (data.partnership_firm == 1) {
                            $("#minimum").val(data.minimum);
                        }
                        $("#sender_commission_party").val(data.commission_party);
                        let amount = $("#amount").val();
                        if (amount != '' || amount != 0) {
                            $("#amount").change();
                        }
                    } else {
                        $('#autovatav_sender_chosen a.chosen-single').focus();
                        return false;
                    }

                }
            });
        });

        $("#autovatav_receiver").change(function () {
            let code = $(this).val();

            let scode = $('#autovatav_sender').val();

            if (code == scode) {
                $("#autovatav_receiver").val(0);
                $('#autovatav_receiver').trigger("chosen:updated");
                let val = $("#autovatav_receiver").val();
                if (val == null) {
                    $('#autovatav_receiver_chosen a.chosen-single').focus();
                    return false;
                }
            }

            $.ajax({
                type: "POST",
                url: "{{ route('party.get_sender_balance')}}",
                data: {'code': code, "_token": "{{ csrf_token() }}"},
                success: function (result) {
                    let response = JSON.parse(result);
                    if (response.IsSuccess) {
                        let data = response.data;

                        if (data.partnership_firm == 1 && (data.commission_party == null || data.commission_party == "" || data.commission_party == 0)) {
                            alert("Please first choose commission party");
                            $("#receiver_opening_balance").val("");
                            $('#submit').prop('disabled', true);
                            return false;
                        }
                        $("#receiver_partnership_firm").val(data.partnership_firm);
                        $("#is_receiver_based").val(data.is_receiver_based);
                        $("#receiver_based_commission").val(data.receiver_based_commission);
                        $("#receiver_opening_balance").val(data.opening_balance);
                        $("#receiver_vatav_percentage").val(data.receiver_vatav);
                        $("#receiver_commission_party").val(data.commission_party);
                        let amount = $("#amount").val();
                        if (amount != '' || amount != 0) {
                            $("#amount").change();
                        }
                    } else {
                        $('#autovatav_receiver_chosen a.chosen-single').focus();
                        return false;
                    }
                }
            });
        });

        $("#amount").change(function () {
            let amount = $(this).val();
            if (amount <= 0) {
                aField = document.getElementById('amount');
                setTimeout("aField.focus()", 50);
                $('#submit').prop('disabled', true);
                return false;
            }
            $('#submit').prop('disabled', true);


            let slimit = $('#sender_limit').val().split('.').join("");
            let rlimit = $('#receiver_limit').val().split('.').join("");

            let newval = parseFloat($(this).val()).toFixed(2);
            $(this).val(newval);
            let newamount = newval.split('.').join("");
            let minimum = $('#minimum').val();
            let is_receiver_based = $('#is_receiver_based').val();
            let receiver_based_commission = $('#receiver_based_commission').val();

            //  let sender_percentage = $('#sender_vatav_percentage').val();
            //  let receiver_percentage = $('#receiver_vatav_percentage').val();
            //  let sender_balance = $('#sender_opening_balance').val();
            //  let receiver_balance = $('#receiver_opening_balance').val();

            $.ajax({
                type: "POST",
                url: "{{ route('autovatav.get_price_range')}}",
                data: {
                    'amount': newamount,
                    'minimum': minimum,
                    'is_receiver_based': is_receiver_based,
                    'receiver_based_commission': receiver_based_commission,
                    '_token': '{{ csrf_token() }}'
                },
                success: function (result) {
                    $("#vatav_on_receiver").val((result / 100).toFixed(2));
                    let calculate_vatav_on = result;

                    let sendercode = $('#autovatav_sender').val();

                    let receivercode = $('#autovatav_receiver').val();


                    //let checklimit = parseInt(newamount) + parseInt(sender_balance.split('.').join(""));

                    $.ajax({
                        type: "POST",
                        url: "{{ route('autovatav.calculate_vatav')}}",
                        data: {
                            'amount': newamount,
                            'calculate_vatav_on': calculate_vatav_on,
                            'sendercode': sendercode,
                            'receivercode': receivercode,
                            'flag': 1,
                            '_token': '{{ csrf_token() }}'
                        },
                        success: function (result) {
                            let response = JSON.parse(result);
                            if ((result.our_vatav) < 0) {
                                alert("our vatav should not be in minus");
                                $('#submit').prop('disabled', true);
                                return false;
                            }
                            $("#receiver_total_amount").val('-' + (response.receiver_total_amount / 100).toFixed(2));
                            $("#sender_total_amount").val((response.sender_total_amount / 100).toFixed(2));
                            $("#sender_closing_balance").val((response.sender_closing_balance / 100).toFixed(2));
                            $("#receiver_closing_balance").val((response.receiver_closing_balance / 100).toFixed(2));
                            $("#sender_vatav_amount").val((response.sender_vatav_amount / 100).toFixed(2));
                            $("#receiver_vatav_amount").val((response.receiver_vatav_amount / 100).toFixed(2));

                            $("#our_vatav").val((response.our_vatav / 100).toFixed(2));
                            $("#sender_commission").val((response.sender_commission_amount / 100).toFixed(2));
                            $("#receiver_commission").val((response.receiver_commission_amount / 100).toFixed(2));
                            //$("#our_vatav").val((result.our_vatav/100).toFixed(2));

                            ///$('#submit').prop('disabled', false);
                            let sopening_bal = $("#sender_opening_balance").val();
                            let ropening_bal = $("#receiver_opening_balance").val();
                            if (sopening_bal == '' || ropening_bal == '') {
                                $('#submit').prop('disabled', true);
                            } else {
                                $('#submit').prop('disabled', false);
                            }


                        }
                    });
                }
            });
        });

        $("#vatav_on_receiver").change(function () {
            $('#submit').prop('disabled', true);

            let newv = parseFloat($(this).val() / 100).toFixed(2);
            let calculate_vatav_on = $(this).val();
            $(this).val(newv);

            let newval = $("#amount").val();
            let newamount = newval.split('.').join("");
            let sendercode = $('#autovatav_sender').val();


            let receivercode = $('#autovatav_receiver').val();
            $.ajax({
                type: "POST",
                url: "{{ route('autovatav.calculate_vatav')}}",
                data: {
                    'amount': newamount,
                    'calculate_vatav_on': calculate_vatav_on,
                    'sendercode': sendercode,
                    'receivercode': receivercode,
                    'flag': 1,
                    '_token': '{{ csrf_token() }}'
                },
                success: function (result) {
                    let response = JSON.parse(result);
                    if ((result.our_vatav) < 0) {
                        alert("our vatav should not be in minus");
                        $('#submit').prop('disabled', true);
                        return false;
                    }
                    $("#receiver_total_amount").val('-' + (response.receiver_total_amount / 100).toFixed(2));
                    $("#sender_total_amount").val((response.sender_total_amount / 100).toFixed(2));
                    $("#sender_closing_balance").val((response.sender_closing_balance / 100).toFixed(2));
                    $("#receiver_closing_balance").val((response.receiver_closing_balance / 100).toFixed(2));
                    $("#sender_vatav_amount").val((response.sender_vatav_amount / 100).toFixed(2));
                    $("#receiver_vatav_amount").val((response.receiver_vatav_amount / 100).toFixed(2));

                    $("#our_vatav").val((response.our_vatav/100).toFixed(2));
                    $("#sender_commission").val((response.sender_commission_amount / 100).toFixed(2));
                    $("#receiver_commission").val((response.receiver_commission_amount / 100).toFixed(2));
                    //$("#our_vatav").val((result.our_vatav/100).toFixed(2));

                    ///$('#submit').prop('disabled', false);
                    let sopening_bal = $("#sender_opening_balance").val();
                    let ropening_bal = $("#receiver_opening_balance").val();
                    if (sopening_bal == '' || ropening_bal == '') {
                        $('#submit').prop('disabled', true);
                    } else {
                        $('#submit').prop('disabled', false);
                    }


                }
            });
        });
    </script>
@endsection