@extends('layouts/user_master',['pageSlug' => 'users'])
@section('title','User Add')
@section('content')
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="row">
                <div class="col-md-12">
                    <h2 class="fw-normal mb-5">Add User</h2>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="box-body" id="ajax_data_list">
                        <div id="bootstrapTable_wrapper" class="dataTables_wrapper dt-bootstrap">
                            <div class="col-md-12">
                                <div class="panel panel-default">
                                    <div class="panel-body">
                                        <form method="POST" id="adduser" role="form" action="{{route('user.store')}}">
                                            @csrf
                                            <div class="row">
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Company Name</label>
                                                        <input name="company_name" type="text" class="form-control"
                                                               id="companyname" tabindex="1" autocomplete="off"
                                                               value="{{ old('company_name') }}"/>
                                                        <span class="help-block text-danger">
                                                            {{ $errors->has('company_name') ? "".$errors->first('company_name')."" : '' }}
                                                        </span>
                                                        <p class="help-block"></p>
                                                    </div>
                                                </div>
                                                <div class="col-md-6">
                                                    <div class="form-group">
                                                        <label>Company Email</label>
                                                        <input name="company_email" type="email" class="form-control"
                                                               tabindex="2" autocomplete="off"
                                                               value="{{ old('company_email') }}"/>
                                                        <span class="help-block text-danger">
                                                            {{ $errors->has('company_email') ? "".$errors->first('company_email')."" : '' }}
                                                        </span>
                                                        <p class="help-block"></p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group ">
                                                        <label>Company Contact</label>
                                                        <input name="company_contact" type="text" class="form-control"
                                                               tabindex="3" autocomplete="off"
                                                               value="{{ old('company_contact') }}"/>
                                                        <p class="help-block"></p>
                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>Username</label>
                                                        <input name="username" type="text" class="form-control"
                                                               tabindex="4" autocomplete="off"
                                                               value="{{ old('username') }}"/>
                                                        <span class="help-block text-danger">
                                                            {{ $errors->has('username') ? "".$errors->first('username')."" : '' }}
                                                        </span>
                                                        <p class="help-block"></p>
                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>Password</label>
                                                        <input name="password" type="password" class="form-control"
                                                               tabindex="5" autocomplete="off"
                                                               value="{{ old('password') }}"/>
                                                        <span class="help-block text-danger">
                                                            {{ $errors->has('password') ? "".$errors->first('password')."" : '' }}
                                                        </span>
                                                        <p class="help-block"></p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <label>Permission</label>&nbsp;&nbsp;
                                                        <input type="checkbox" name="selectall" id="selectall"
                                                               value="All" tabindex="6">All
                                                        <span class="help-block text-danger">
                                                                {{ $errors->has('permission') ? "".$errors->first('permission')."" : '' }}
                                                            </span>
                                                        <p class="help-block"></p>
                                                    </div>
                                                </div>
                                                @foreach($modulesList as $_modulesList)
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <div class="form-check">
                                                                <input type="checkbox" name="permissions[]"
                                                                       value="{{$_modulesList->id}}"
                                                                       class="form-check-input">
                                                                {{$_modulesList->module_name}}
                                                                <p class="help-block"></p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                @endforeach
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label>Parties</label>&nbsp;&nbsp;
                                                    <button type="button" class="btn chosen-toggle select">Select all
                                                    </button>
                                                    <button type="button" class="btn chosen-toggle deselect">Deselect
                                                        all
                                                    </button>
                                                    <br/><br/>
                                                    <select id="parties" multiple name="parties[]"
                                                            class="form-control chzn-select"
                                                            tabindex="7" required>
                                                        @foreach ($partyList as $_partyListvalue)
                                                        <option value="{{$_partyListvalue['id']}}">
                                                            {{$_partyListvalue['value']}}
                                                        </option>
                                                        @endforeach
                                                    </select>
                                                    <p class="help-block"></p>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-6 form-group">
                                                    <button type="submit" id="submit" class="btn btn-default"
                                                            tabindex="10">Submit
                                                    </button>
                                                    <p class="help-block"></p>
                                                </div>
                                                <div class="col-md-6 form-group" style="padding-left:350px">
                                                    <button type="reset" class="btn btn-primary" tabindex="-1">Reset
                                                    </button>
                                                    <a href="{{route('user.index')}}" class="btn btn-primary"
                                                       tabindex="-1">Cancel</a>
                                                    <p class="help-block"></p>
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $('#selectall').change(function () {
            if ($(this).prop('checked')) {
                $('input').prop('checked', true);
            } else {
                $('input').prop('checked', false);
            }
        });

        $('#selectall').trigger('change');

        $('.chosen-toggle').each(function (index) {
            $(this).on('click', function () {

                $(this).parent().find('option').prop('selected', $(this).hasClass('select')).parent().trigger('chosen:updated');
            });
        });

        $(document).on('keypress', function (e) {
            let that = document.activeElement;
            if (e.which == 13) {
                if ($(that).attr("type") == "submit") {
                    return true;
                }
                e.preventDefault();

                $('[tabIndex=' + (+that.tabIndex + 1) + ']')[0].focus();
            }
        });
    </script>
@endsection

