@extends('layouts/user_master',['pageSlug' => 'users'])
@section('title','User Edit')
@section('content')
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="row mb-5">
                <div class="col-md-12">
                    <h2 class="fw-normal">Edit User</h2>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="box-body" id="ajax_data_list">
                        <div id="bootstrapTable_wrapper" class="dataTables_wrapper dt-bootstrap">
                            <div class="col-md-12">
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                    </div>
                                    <div class="panel-body">
                                        <form method="POST" id="adduser" role="form"
                                              action="{{url('Admin/user/update/'.$companyDetails->id)}}"
                                              enctype="multipart/form-data">
                                            @csrf
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>Company Name</label>
                                                        <input name="company_name" type="text" class="form-control"
                                                               id="companyname" tabindex=1 autocomplete="off"
                                                               value="{{ old('company_name',$companyDetails->company_name) }}"/>
                                                        <span class="help-block text-danger">
                                    {{ $errors->has('company_name') ? "".$errors->first('company_name')."" : '' }}
                                </span>
                                                        <p class="help-block"></p>

                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>Company Email</label>
                                                        <input name="company_email" type="email" class="form-control"
                                                               tabindex=-1 autocomplete="off"
                                                               value="{{ old('company_email',$companyDetails->company_email) }}"
                                                               readonly/>
                                                        <span class="help-block text-danger">
                                    {{ $errors->has('company_email') ? "".$errors->first('company_email')."" : '' }}
                                </span>
                                                        <p class="help-block"></p>
                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>Status</label>
                                                        <select name="status" class="form-control form-select"
                                                                tabindex=2>
                                                            <option value="active"
                                                                    @if($companyDetails->status == 'active') selected @endif>
                                                                Active
                                                            </option>
                                                            <option value="inactive"
                                                                    @if($companyDetails->status == 'inactive')  selected @endif>
                                                                Inactive
                                                            </option>
                                                        </select>
                                                        <p class="help-block"></p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-4">
                                                    <div class="form-group ">
                                                        <label>Company Contact</label>
                                                        <input name="company_contact" type="text" class="form-control"
                                                               tabindex=3 autocomplete="off"
                                                               value="{{ old('company_contact',$companyDetails->company_contact) }}"/>
                                                        <p class="help-block"></p>
                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>Username</label>
                                                        <input name="username" type="text" class="form-control"
                                                               tabindex=4 autocomplete="off"
                                                               value="{{ old('username',$companyDetails->username) }}"/>
                                                        <span class="help-block text-danger">
                                    {{ $errors->has('username') ? "".$errors->first('username')."" : '' }}
                                  </span>
                                                        <p class="help-block"></p>
                                                    </div>
                                                </div>
                                                <div class="col-md-4">
                                                    <div class="form-group">
                                                        <label>Password</label>
                                                        <input name="password" type="password" class="form-control"
                                                               tabindex=5 autocomplete="off"
                                                               value="{{ old('password') }}"/>
                                                        <h6 class="help-block">if you want to change password then fill
                                                            up otherwise leave it blank</h6>
                                                        <p class="help-block"></p>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12">
                                                    <div class="form-group">
                                                        <label>Permission</label>

                                                            <input type="checkbox" name="selectall" id="selectall"
                                                                   value="All" class="form-check-input" tabindex=6>
                                                            <label class="form-check-label" for="selectall">
                                                                All
                                                            </label>
                                                            <span class="help-block text-danger">
                                    {{ $errors->has('permission') ? "".$errors->first('permission')."" : '' }}
                                    </span>
                                                            <p class="help-block"></p>
                                                    </div>
                                                </div>
                                                @foreach($modulesList as $_modulesList)
                                                    @php $permission_Array = explode(",",$companyDetails->permissions); @endphp
                                                    <div class="col-md-4">
                                                        <div class="form-group">
                                                            <div class="form-check">
                                                                <input type="checkbox" name="permissions[]"
                                                                       value="{{$_modulesList->id}}"
                                                                       @if(in_array($_modulesList->id,$permission_Array)) checked
                                                                       @endif class="form-check-input">
                                                                {{$_modulesList->module_name}}
                                                                <p class="help-block"></p>
                                                            </div>
                                                        </div>
                                                    </div>
                                                @endforeach
                                            </div>
                                            <div class="row">
                                                <div class="form-group col-md-6">
                                                    <label>Parties</label>&nbsp;&nbsp;
                                                    <button type="button" class="btn chosen-toggle select">Select all</button>
                                                    <button type="button" class="btn chosen-toggle deselect">Deselect all</button>
                                                    <br/><br/>
                                                    <select id="parties" multiple name="parties[]" class="form-control chzn-select"
                                                            tabindex="7" required>
                                                    @foreach ($partyList as $_partyListvalue)
                                                    <option value="<?= $_partyListvalue['id'] ?>" @if (in_array($_partyListvalue['id'], $partyCheckboxList)) selected
                                                            @endif > <?= $_partyListvalue['value'] ?></option>
                                                    @endforeach
                                                    </select>
                                                    <p class="help-block"></p>
                                                </div>
                                            </div>
                                            <div class="row">
                                                <div class="col-md-12 form-group">
                                                    <button type="submit" id="submit" class="btn btn-default mr-2"
                                                            tabindex=10>Submit
                                                    </button>
                                                    <a href="{{route('user.index')}}" class="btn btn-primary"
                                                       tabindex=-1>Cancel</a>
                                                    <p class="help-block"></p>
                                                </div>
                                                <!-- <div class="col-md-6 form-group" style="padding-left:350px">

                                                    <p class="help-block"></p>
                                                </div> -->
                                            </div>
                                        </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $(document).on('keypress', function (e) {
            let that = document.activeElement;
            if (e.which == 13) {
                if ($(that).attr("type") == "submit") {
                    return true;
                }
                e.preventDefault();

                $('[tabIndex=' + (+that.tabIndex + 1) + ']')[0].focus();
            }
        });

        $('#selectall').change(function () {
            if ($(this).prop('checked')) {
                $('input').prop('checked', true);
            } else {
                $('input').prop('checked', false);
            }
        });

        $('.chosen-toggle').each(function (index) {
            $(this).on('click', function () {

                $(this).parent().find('option').prop('selected', $(this).hasClass('select')).parent().trigger('chosen:updated');
            });
        });

        $('#selectall').trigger('change');

        $("#min_limit").focusout(function () {
            let newval = parseFloat($(this).val()).toFixed(2);
            $(this).val(newval);
        });

        $("#max_limit").focusout(function () {
            let newval = parseFloat($(this).val()).toFixed(2);
            $(this).val(newval);
        });
    </script>
@endsection
