@extends('layouts/user_master',['pageSlug' => 'users'])
@section('title','Users')
@section('content')
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="row mb-4">
                <div class="col-md-10">
                    <h2 class="fw-normal">User List</h2>
                </div>
                <div class="col-md-2">
                    <a href="{{ route('user.add')}}" class="btn btn-primary" style="float:right;">Add User</a>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="box-body" id="ajax_data_list">
                        <div id="bootstrapTable_wrapper" class="form-inline dt-bootstrap">
                            <div class="col-md-12">
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        User List

                                    </div>
                                    <div class="panel-body">
                                        <div class="table-responsive">
                                            <table class="table table-bordered mt-4" style="border-collapse:collapse;"
                                                   id="userList">
                                                <thead>
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Company Name</th>
                                                    <th>Company Email</th>
                                                    <th>Company Contact</th>
                                                    <th style="width: 300px;">Action</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @php $i=1; @endphp
                                                @foreach ($allCompanies as $_allCompanies)
                                                    <tr>
                                                        <td>{{$i}} </td>
                                                        <td>{{$_allCompanies->company_name}} </td>
                                                        <td>{{$_allCompanies->company_email}}</td>
                                                        <td>{{$_allCompanies->company_contact}}</td>
                                                        <td>
                                                            <a href="{{url('Admin/user/edit/'. $_allCompanies->id)}}"
                                                               class="btn btn-primary">
                                                                <i class="fa fa-edit "></i> Edit
                                                            </a>
                                                            @php
                                                                $role = session('role');
                                                                if($_allCompanies !== "superadmin" ){
                                                                  if($role == "superadmin"){
                                                            @endphp
                                                            <span class="btn btn-danger"
                                                                  onclick="deleteRow('{{$_allCompanies->id}}');"><i
                                                                    class=" fa fa-trash"></i> Delete</span>
                                                            @php }  } @endphp
                                                            @if($_allCompanies->is_loggedin == 1)
                                                                <a href="{{url('Admin/user/logout_user/'. $_allCompanies->id)}}"
                                                                   class="btn btn-warning text-white"><i
                                                                        class="fas fa-sign-out-alt"></i> Logout</a>
                                                            @endif
                                                        </td>
                                                    </tr>
                                                    @php $i++; @endphp
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $(document).ready(function () {
            $('#userList').DataTable({
                responsive: true,
            });
        });

        function deleteRow(id) {
            swalWithBootstrapButtons({
                title: 'Are you sure?',
                text: "Once deleted, you will not be able to recover this record!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete',
                cancelButtonText: 'No, cancel'
            }).then((result) => {
                if (result.value) {
                    $.ajax({
                        type: "POST",
                        url: "{{url('Admin/user/delete/')}}/" + id,
                        data: {"_token": "{{ csrf_token() }}",}, // serializes the form's elements.
                        success: function (data) {
                            // console.log(data);
                            var response = JSON.parse(data);
                            if (response.IsSuccess) {
                                swalWithBootstrapButtons(
                                    'Deleted!',
                                    'This item has been deleted.',
                                    'success'
                                )
                                location.reload();
                            } else {
                                ShowNotify(response);
                            }
                        }
                    });
                } else if (result.dismiss === swal.DismissReason.cancel) {
                    swalWithBootstrapButtons(
                        'Cancelled',
                        'Your record is safe! :)',
                        'error'
                    )
                }
            })
        }
    </script>
@endsection
