@extends('layouts.user_master', ['pageSlug' => 'recalculate'])
@section('title', 'Recalculate')
@section('content')
    <div id="page-wrapper">
        <form method="post" action="{{ route('dashboard.calculate') }}" id="report" onkeypress="return event.keyCode != 13;">
            @csrf <!-- Add CSRF token field -->
            <div id="page-inner">
                <div class="row">
                    <div class="col-md-12">
                        <h2>Recalculate Balance</h2>
                    </div>
                </div>
                <br/>
                <hr/>
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label>Date</label>
                            <input type="text" name="date" class="form-control" id="single_date" autofocus/>
                            <p class="help-block"></p>
                        </div>
                        <input type="submit" id="submit" value="Search" class="btn btn-default">
                    </div>
                </div>
            </div>
        </form>
    </div>
    <div id="page-inner">
        <div class="row">
            <div class="col-md-10">
                <div id="list"></div>
            </div>
        </div>
        <div class="text-center" id="loading-data-list" style="display:none">
            <img src="{{ asset('public/img/loading.gif') }}" height="300"/>
            <h3>Loading...</h3><p>&nbsp;</p>
        </div>
    </div>
@endsection

@section('script')
    <script>
        $(document).ready(function () {
            $('#single_date').datetimepicker({
                format: 'DD-MM-YYYY',
                defaultDate: moment().toDate().getTime()
            }).focus(function () {
                $("#single_date").datetimepicker("show");
            }).focus();
        });
    </script>
@endsection
