@extends('layouts/user_master',['pageSlug' => 'normalvatav'])
@section('title','Havala Entry')
@section('content')
<style>
    .details-control {
        display: none;

    }

    .open_details, .close_details {
        cursor: pointer;
    }

    .close_details {
        display: none;
    }

</style>
    <div id="page-wrapper" >
        <div id="page-inner">
            <div class="row mb-4">
                <div class="col-md-11">
                    <h2 class="fw-normal">Havala Entry</h2>
                </div>
                <div class="col-md-1">
                    <a href="{{ route('normalvatav.add')}}" class="btn btn-primary" style="float:right;" >Add Havala Entry</a>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <label>Date</label>
                    <div class="controls" style="position: relative">
                        <input type="text" name="date" class="listdate form-control" id="single_date" />
                    </div>
                    <p class="help-block"></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="text-center" id="loading-data-list" style="display:none">
                        <img src="{{asset('public/img/loading.gif')}}" height="300"  />
                        <h3>Loading...</h3><p>&nbsp;</p>
                    </div>
                    <div class="box-body" id="ajax_data_list">

                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $( document ).ready(function() {
            $('#single_date').datetimepicker({
                format: 'YYYY-MM-DD',
                defaultDate: moment().toDate().getTime()

            });
            get_ajax_data_list(0);
        });

        $('.listdate').blur(function(){

            startRow=0;
            $("#ajax_data_list").hide();
            $('#loading-data-list').fadeIn(500);

            var date = $(".listdate").val();
            var search = $("#search").val();
            var sorting = $("#sorting").val();

            $.ajax({
                type: "POST",
                url: "{{url('Admin/normalvatav/ajax_pagination/')}}/"+startRow,
                data: {search:search,date:date,sorting:sorting,"_token": "{{ csrf_token() }}"},
                success: function(data){

                    setTimeout(function () {

                        $("#ajax_data_list").html(data).fadeIn(1000);
                        $('#loading-data-list').hide();
                    }, 1000);
                }

            });
        });

        $("body").on("click", ".open_details", function (e) {
                e.preventDefault();
                $(this).parent().parent().next('.details-control').toggle();
                $(this).parent().find('.open_details').css({"display": "none"});
                $(this).parent().find('.close_details').css({"display": "block"});


            });
            $("body").on("click", ".close_details", function (e) {
                e.preventDefault();
                $(this).parent().parent().next('.details-control').toggle();
                $(this).parent().find('.open_details').css({"display": "block"});
                $(this).parent().find('.close_details').css({"display": "none"});


            });

        function deleteRow(id){
            swalWithBootstrapButtons({
                title: 'Are you sure?',
                text: "Once deleted, you will not be able to recover this record!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete',
                cancelButtonText: 'No, cancel'
            }).then((result) => {
                if (result.value) {
                    $.ajax({
                        type: "POST",
                        url: "{{url('Admin/normalvatav/delete/')}}/"+id,
                        data: {"_token": "{{ csrf_token() }}",},
                        success: function(data){
                            var response = JSON.parse(data);
                            if(response.IsSuccess){
                                swalWithBootstrapButtons(
                                    'Deleted!',
                                    'This item has been deleted.',
                                    'success'
                                )
                                location.reload();
                            }else{
                                ShowNotify(response);
                            }
                        }
                    });
                }else if(result.dismiss === swal.DismissReason.cancel){
                    swalWithBootstrapButtons(
                        'Cancelled',
                        'Your record is safe! :)',
                        'error'
                    )
                }
            })
        }

        function get_ajax_data_list(startRow=0){

            $("#ajax_data_list").hide();
            $('#loading-data-list').fadeIn(500);


            var search = $("#search").val();
            var date = $(".listdate").val();
            var sorting = $("#sorting").val();

            $.ajax({
                type: "POST",
                url: "{{url('Admin/normalvatav/ajax_pagination/')}}/"+startRow,
                data: {search:search,date:date,sorting:sorting,"_token": "{{ csrf_token() }}"},
                success: function(data){
                    setTimeout(function () {
                        $("#ajax_data_list").html(data).fadeIn(1000);
                        $('#loading-data-list').hide();
                    }, 1000);
                }

            });
        }

        function setSorting(column,asc_desc){
            $('#sorting').val(column+"#"+asc_desc);
            get_ajax_data_list(0);
        }
    </script>
@endsection
