@extends('layouts/user_master',['pageSlug' => 'party'])
@section('title','Party')
@section('content')
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="row mb-5">
                <div class="col-md-10">
                    <h2 class="fw-normal">Party List</h2>
                </div>
                <div class="col-md-2">
                    <a href="{{ route('party.add')}}" class="btn btn-primary" style="float:right;" accesskey="o">Add
                        Party</a>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="box-body" id="ajax_data_list">
                        <div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                            <div class="col-md-12">
                                <div class="panel panel-default">
                                    <div class="panel-heading">
                                        Party List

                                    </div>
                                    <div class="panel-body">
                                        <div class="table-responsive">
                                            <table class="table table-bordered mt-4" style="border-collapse:collapse;"
                                                   id="partyList">
                                                <thead>
                                                <tr>
                                                    <th>ID</th>
                                                    <th>PCode</th>
                                                    <th>PName</th>
                                                    <th>City</th>
                                                    <th>Sender Vatav</th>
                                                    <th>Receiver Vatav</th>
                                                    <!-- <th>Balance</th> -->
                                                    <th class="sorting" style="width: 200px;">Action</th>
                                                </tr>
                                                </thead>
                                                <tbody>
                                                @php $i = 1; @endphp
                                                @foreach ($allParties as $_allParties)
                                                    <tr>
                                                        <td>{{$_allParties->id}}</td>
                                                        <td>{{$_allParties->code}} </td>
                                                        <td>{{$_allParties->name}} </td>
                                                        <td>{{$_allParties->city}} </td>
                                                        <td>{{$_allParties->sender_vatav}}</td>
                                                        <td>{{$_allParties->receiver_vatav}}</td>
                                                        <!-- <td>{{$_allParties->Opening_balance}}</td> -->
                                                        <td>
                                                            @if($_allParties->id != 1)
                                                                <a href="{{url('Admin/party/edit/'. $_allParties->id)}}"
                                                                   class="btn btn-primary">
                                                                    <i class="fa fa-edit "></i> Edit
                                                                </a>
                                                            @endif
                                                            @php $role = session('role'); @endphp
                                                            @if ($role == "superadmin")
                                                                @if ($_allParties->id != 1)
                                                                    <span class="btn btn-danger"
                                                                          onclick="deleteRow('{{$_allParties->id}}');"><i
                                                                                class=" fa fa-trash"></i> Delete</span>
                                                                @endif
                                                            @endif

                                                            @if ($_allParties->is_logged_in == 1)
                                                                <a href="{{url('Admin/party/logout_party/'. $_allParties->id)}}"
                                                                   style="margin-left:1px;  padding:0px 5px; !important"
                                                                   class="btn btn-default btn-sm">
                                                                    <span class="glyphicon glyphicon-log-out"></span>
                                                                    Log out
                                                                </a>
                                                            @endif
                                                            @if ($_allParties->id != 1)
                                                                <a style="margin-left:1px;padding: 2px 5px"
                                                                   class="btn btn-warning btn-sm m-2">{{$_allParties->partyLoginCount}}
                                                                </a>
                                                            @endif

                                                        </td>

                                                    </tr>
                                                    @php $i++; @endphp
                                                @endforeach
                                                </tbody>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $(document).ready(function () {
            $('#partyList').DataTable({
                paging: false,
                order: [[0, 'desc']],
            });
        });

        function deleteRow(id) {
            swalWithBootstrapButtons({
                title: 'Are you sure?',
                text: "Once deleted, you will not be able to recover this record!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete',
                cancelButtonText: 'No, cancel'
            }).then((result) => {
                if (result.value) {
                    $.ajax({
                        type: "POST",
                        url: "{{url('Admin/party/delete/')}}/" + id,
                        data: {"_token": "{{ csrf_token() }}",}, // serializes the form's elements.
                        success: function (data) {
                            // console.log(data);
                            var response = JSON.parse(data);
                            if (response.IsSuccess) {
                                swalWithBootstrapButtons(
                                    'Deleted!',
                                    'This item has been deleted.',
                                    'success'
                                )
                                location.reload();
                            } else {
                                ShowNotify(response);
                            }
                        }
                    });
                } else if (result.dismiss === swal.DismissReason.cancel) {
                    swalWithBootstrapButtons(
                        'Cancelled',
                        'Your record is safe! :)',
                        'error'
                    )
                }
            })
        }
    </script>
@endsection
