@extends('layouts/user_master',['pageSlug' => 'recalculate'])
@section('title','Recalculate')
@section('content')
    <style>
        table {
            border-collapse: collapse;
            width: 100%;
        }

        td, th {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;
        }

        th {
            background-color: #444444;
            color: #fff !important;
        }
    </style>

    @php
        $negative_arr = [];
        $positive_arr = [];
        foreach ($allParties as $_allParties) {
            if ($_allParties->closing_balance < 0 && $_allParties->closing_balance != "") {
                $negative_arr[] = $_allParties;
            } elseif ($_allParties->closing_balance > 0 && $_allParties->closing_balance != "") {
                $positive_arr[] = $_allParties;
            }
        }

        $length_positive_arr = count($positive_arr);
        $length_negative_arr = count($negative_arr);

        $arr_count = max($length_positive_arr, $length_negative_arr);

        $negative_sum = 0;
        $positive_sum = 0;
    @endphp

    <div id="page-wrapper">
        <div id="page-inner">
            <div class="row">
                <div class="col-md-10">
                    <h2>Tmp General Report</h2>
                </div>
                <div class="col-md-2">
                    <a class="btn btn-primary" href="{{ url('Admin/dashboard/confirm_report/' . $date) }}">Confirm Report</a>
                </div>
            </div>
            <br/>
        </div>
        <div id="page-inner">
            <div class="row">
                <div class="col-md-12">
                    <div class="table-responsive">
                        <table class="table table-striped table-bordered table-hover" id="dataTables1">
                            <thead>
                            <tr>
                                <th>PCode</th>
                                <th>PName</th>
                                <th style="border-right-color:black">Current Balance</th>
                                <th>PCode</th>
                                <th>PName</th>
                                <th>Current Balance</th>
                            </tr>
                            </thead>
                            <tbody>
                            @for ($i = 0; $i < $arr_count; $i++)
                                @php
                                    $negative_sum += isset($negative_arr[$i]) ? $negative_arr[$i]->closing_balance : 0;
                                    $positive_sum += isset($positive_arr[$i]) ? $positive_arr[$i]->closing_balance : 0;
                                @endphp
                                <tr>
                                    <td>{{ isset($negative_arr[$i]) ? $negative_arr[$i]->code : '' }}</td>
                                    <td>{{ isset($negative_arr[$i]) ? (strlen($negative_arr[$i]->name) > 20 ? substr($negative_arr[$i]->name, 0, 19) . '..' : $negative_arr[$i]->name) : '' }}</td>
                                    <td style="border-right-color:black">{{ isset($negative_arr[$i]) ? number_format($negative_arr[$i]->closing_balance,2,".","") : '' }}</td>
                                    <td>{{ isset($positive_arr[$i]) ? $positive_arr[$i]->code : '' }}</td>
                                    <td>{{ isset($positive_arr[$i]) ? (strlen($positive_arr[$i]->name) > 20 ? substr($positive_arr[$i]->name, 0, 19) . '..' : $positive_arr[$i]->name) : '' }}</td>
                                    <td>{{ isset($positive_arr[$i]) ? number_format($positive_arr[$i]->closing_balance,2,".","") : '' }}</td>
                                </tr>
                            @endfor
                            </tbody>
                            <tr>
                                <td colspan="2" style="text-align: right"><b>Total</b></td>
                                <td style="border-right-color:black">{{ number_format($negative_sum, 2, '.', '') }}</td>
                                <td colspan="2" style="text-align: right"><b>Total</b></td>
                                <td>{{ number_format($positive_sum, 2, '.', '') }}</td>
                            </tr>
                            <tr>
                                <td colspan="2" style="text-align: right"><b></b></td>
                                <td style="border-right-color:black"></td>
                                <td colspan="2" style="text-align: right"><b>Difference</b></td>
                                <td><?=number_format(($positive_sum+$negative_sum),2,'.','')?></td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
