@extends('layouts/user_master',['pageSlug' => 'cityreport'])
@section('title','City Report')
@section('content')
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="mb-5">City Report</h2>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <form method="post" action="{{ url('Admin/ajax/get_city_wise_report/0')}}" id="report"
                              onkeypress="return event.keyCode != 13;">
                            @csrf
                            <div class="row">
                                <div class="col-md-12">
                                    <input type="hidden" id="cityarr" name="cityarr" value="">
                                    <div id="list" style="width: 50%;float: left;"></div>
                                    <input type="button" id="city_search" style="display:none" name="btnsubmit"
                                           value="Search" class="btn btn-default">
                                </div>
                                <div class="text-center" id="loading-data-list" style="display:none">
                                    <img src="{{asset('public/img/loading.gif')}}" height="300"/>
                                    <h3>Loading...</h3>
                                    <p>&nbsp;</p>
                                </div>
                            </div>

                            <div id="page-inner">
                                <div class="row">
                                    <div class="col-md-10">
                                        <div id="city_list"></div>
                                        @php $permissionArray =session('permissionArray'); @endphp
                                        @if(in_array("Download",$permissionArray))
                                            <input type="submit" id="btndownload" style="display:none" name="btnsubmit"
                                                   value="Download" class="btn btn-default">
                                        @endif
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
                <hr/>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $(window).keydown(function (e) {

            if (e.keyCode == 13) {
                $('#city_search').trigger('click');
            }
        });
        $('document').ready(function () {
            $("#ajax_data_list").hide();
            $('#loading-data-list').show();
            let formData = $('#report').serialize();

            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_city_report/1')}}",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {
                    $("#list").html(result).fadeIn(1000);
                    $('#loading-data-list').hide();
                    $('#city_search').css({'display': 'block'});


                }
            });
        });
        $('#city_search').on('click', function () {

            let myArray = [];
            let city = "";
            $(".class1:checked").each(function () {
                if (city != "") {
                    city = city + "," + $(this).val();
                } else {
                    city = $(this).val();
                }
                myArray.push($(this).val());
            });
            if (myArray.length == 0) {
                // return false;
            }
            let cityarr = myArray;
            $("#cityarr").val(cityarr);
            $("#ajax_data_list").hide();
            $('#loading-data-list').show();

            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_city_wise_report/1')}}",
                data: {cityarr: cityarr, "_token": "{{ csrf_token() }}"},
                dataType: "html",
                success: function (result) {
                    $("#city_list").html(result).fadeIn(1000);
                    $('#loading-data-list').hide();
                    $("html, body").animate({scrollTop: '700px'}, "slow");
                    $('#btnsubmit').css({'display': 'block'});
                    $('#btndownload').css({"display": "block"});

                }
            });
        });

        function selectall(obj) {
            if ($(obj).prop('checked')) {
                $("input[name='cities[]']").prop('checked', true).change();
            } else {
                $("input[name='cities[]']").prop('checked', false).change();
            }
        }

    </script>
@endsection
