@extends('layouts/user_master',['pageSlug' => 'commissionreport'])
@section('title','Commission Report')
@section('content')
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="mb-5">Commission Report</h2>
                    </div>
                </div>
                <ul class="nav nav-tabs">
                    <li class="active"><a data-toggle="tab" href="#home">Entrywise</a></li>
                    <li><a data-toggle="tab" href="#menu1">Daywise</a></li>
                </ul>
                <br/>
                <div class="tab-content">
                    <div id="home" class="tab-pane fade in active">
                        <form method="post" action="{{url('Admin/ajax/get_commission_list/0')}}" id="report"
                              onkeypress="return event.keyCode != 13;">
                            @csrf
                            <div class="row">

                                <div class="form-group col-md-4">
                                    <label>Date</label>
                                    <input id="date_range" type="text" name="date_range"
                                           class="form-control reportstartdatetimepicker">
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Party</label>
                                    <select id="sender" name="sender" class="form-control chzn-select" tabindex=1>
                                        <option value="">Select</option>
                                        @foreach ($partyList as $_partyListvalue)
                                            <option value="{{$_partyListvalue['id']}}">{{$_partyListvalue['value']}} </option>
                                        @endforeach
                                    </select>
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <input type="button" id="day_submit" value="Search" class="btn btn-default">
                                </div>
                                <div class="col-md-3">
                                    @php $permissionArray = session('permissionArray'); @endphp
                                    @if (in_array("Download", $permissionArray))
                                        <div class="form-group">
                                            <input type="submit" id="btndowload" style="display:none" value="Download"
                                                   class="btn btn-default">
                                        </div>
                                    @endif
                                </div>
                                <p class="help-block"></p>
                            </div>
                        </form>
                    </div>
                    <div id="menu1" class="tab-pane fade">
                        <form method="post" action="{{url('Admin/ajax/get_daywise_commission_list/0')}}"
                              id="monthreport" onkeypress="return event.keyCode != 13;">
                            @csrf
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label>Date</label>
                                    <input id="monthdatepicker" type="text" name="month" class="form-control">
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Party</label>
                                    <select id="month_party" name="month_sender" class="form-control chzn-select"
                                            tabindex=1>
                                        <option value="">Select</option>
                                        @foreach ($partyList as $_partyListvalue)
                                            <option value="{{$_partyListvalue['id']}}">{{$_partyListvalue['value']}} </option>
                                        @endforeach
                                    </select>
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <input type="button" id="month_submit" value="Search" class="btn btn-default">
                                </div>
                                <div class="col-md-3">
                                    @php $permissionArray = session('permissionArray'); @endphp
                                    @if (in_array("Download", $permissionArray))
                                        <div class="form-group">
                                            <input type="submit" id="monthbtndowload" style="display:none"
                                                   value="Download"
                                                   class="btn btn-default">
                                        </div>
                                    @endif
                                </div>
                                <p class="help-block"></p>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="page-inner">
            <div class="row">
                <div class="col-md-12">
                    <div id="list"></div>

                    <div class="text-center" id="loading-data-list" style="display:none">
                        <img src="{{asset('public/img/loading.gif')}}" height="300"/>
                        <h3>Loading...</h3>
                        <p>&nbsp;</p>
                    </div>

                </div>

            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $(document).ready(function () {

            var isMobile = /iPhone|iPad|iPod|Android/i.test(navigator.userAgent);

            if (isMobile) {
                $("#sender").select2({
                    theme: "classic",
                    placeholder: $(this).data('placeholder')
                });
                $("#month_party").select2({
                    theme: "classic",
                    placeholder: $(this).data('placeholder')
                });
                $("#year_party").select2({
                    theme: "classic",
                    placeholder: $(this).data('placeholder')
                });
                $('.select2-container').css('width', '100%');
            }

        });

        $('#day_submit').click(function () {

            $("#list").hide();
            $('#loading-data-list').fadeIn(500);
            var formData = $('#report').serialize();

            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_commission_list/1')}}",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {
                    $("#list").html(result).fadeIn(1000);
                    $('#loading-data-list').hide();
                    $('#btndowload').css({'display': 'block'});
                    $("html, body").animate({scrollTop: '250px'}, "slow");
                    //$('#list').html(result);
                    $('#dataTables1').dataTable({
                        // "scrollX": true,
                        "fixedHeader": true,
                        "bPaginate": false
                    });

                }
            });
        });

        $('#month_submit').click(function () {


            $("#list").hide();
            $('#loading-data-list').fadeIn(500);
            var formData = $('#monthreport').serialize();

            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_daywise_commission_list/1')}}",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {
                    $("#list").html(result).fadeIn(1000);
                    $('#loading-data-list').hide();
                    $('#monthbtndowload').css({'display': 'block'});
                    $("html, body").animate({scrollTop: '250px'}, "slow");
                    //$('#list').html(result);
                    $('#dataTablesDay').dataTable(
                        {
                            // "scrollX": true,
                            // "fixedHeader": true,
                            "bPaginate": false,
                            "bFilter": false,
                        });

                }
            });
        });

        function vatavDelete(id, serial_no) {

            deletedIdarray = [];
            if (id != '') {
                deletedIdarray.push(id);
            }
            if (confirm("Are you sure want to delete Serial No: " + serial_no + " ?")) {
                $.ajax({
                    type: "POST",
                    url: "{{url('Admin/ajax/vatavDelete')}}",
                    data: {"id": deletedIdarray, '_token': "{{ csrf_token() }}"},
                    dataType: "json",
                    success: function (result) {
                        $("#day_submit").trigger("click");
                        deletedIdarray = [];
                    }
                });
            }
            return false;
        }

    </script>
@endsection