@extends('layouts/user_master',['pageSlug' => 'deletedentryreport'])
@section('title','Deleted Entry Report')
@section('content')
    @php
        $permissionArray = session('permissionArray');
    @endphp
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="mb-5">Deleted Entry Report</h2>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <form method="post" action="{{url('Admin/ajax/get_deleted_entry_report/0')}}" id="report"
                              onkeypress="return event.keyCode != 13">
                            @csrf
                            <div class="row">
                                <div class="col-md-4">
                                    <div class="form-group">
                                        <label>Date</label>
                                        <input type="text" name="date_range" id="date_range"
                                               class="form-control reportstartdatetimepicker">
                                        <p class="help-block"></p>
                                    </div>
                                </div>
                            <div class="row">
                                <div class="col-md-1">
                                    <label>&nbsp;</label>
                                    <input type="button" id="submit" value="Search" class="btn btn-default">
                                </div>
                                <div class="col-md-1">
                                    <label>&nbsp;</label>
                                    @if(in_array('Download',$permissionArray))
                                        <input type="submit" id="btnDownload" style="display:none" name="btnsubmit"
                                               value="Download" class="btn btn-default">
                                    @endif
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="page-inner">
            <div class="row">
                <div class="col-md-12">
                    <div id="list"></div>
                </div>
            </div>
            <div class="text-center" id="loading-data-list" style="display:none">

                <img src="{{asset('public/img/loading.gif')}}" height="300"/>
                <h3>Loading...</h3>
                <p>&nbsp;</p>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $('#date_range').change(function () {
            $("#submit").trigger("click");
        });

        $(document).ready(function () {
            $('#single_date').datetimepicker({
                format: 'YYYY-MM-DD',
                defaultDate: moment().toDate().getTime(),
                minDate: new Date(2022, 12 - 7, 30)

            });
        });

        $('#submit').click(function () {
            $("#list").hide();
            $('#loading-data-list').show();
            let formData = $('#report').serialize();

            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_deleted_entry_report/1')}}",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {
                    $("#list").html(result).fadeIn(1000);
                    $('#loading-data-list').hide();
                    $('#btnDownload').css({'display': 'block'});
                    $("html, body").animate({scrollTop: '350px'}, "slow");
                    $('#dataTables1').dataTable({
                        // "scrollX": true,
                        "fixedHeader": true,
                        "bPaginate": false,
                        "bInfo": false,
                        autoWidth: true,
                        columnDefs: [
                            // {visible: false, targets: [0], orderable: false}
                        ]
                    });

                }
            });
        });
    </script>
@endsection
