@extends('layouts/user_master',['pageSlug' => 'partyreport'])
@section('title','Party Report')
@section('content')
    <style>
        .highlightedRow {
            background-color: #b9b3b3 !important;
            font-weight: bold;
        }

        input[type="checkbox"]:focus {
            outline: 5px Solid rgb(59, 153, 252);
        }

        .my-sticky-element.stuck {
            position: fixed;
            bottom: 0;
            box-shadow: 0 2px 4px rgba(0, 0, 0, .3);
        }

        .my-sticky-element {
            padding: 5px 20px;
            width: 95%;
        }

        @media screen and (max-width: 992px) {
            .my-sticky-element.stuck {
                position: unset;
                overflow-x: auto;
            }
        }
    </style>
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="mb-5">Party Report</h2>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <form method="post" action="{{url('Admin/ajax/get_party_list/0')}}" id="report"
                              onkeypress="return event.keyCode != 13;">
                            @csrf
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Party</label>
                                        <select id="sender" name="party" class="form-control chzn-select" tabindex=1>
                                            <option value="">Select</option>
                                            @foreach ($partyList as $_partyListvalue)
                                                <option value="{{$_partyListvalue['id']}}"
                                                        data-name="{{$_partyListvalue['value']}}">{{$_partyListvalue['value']}}</option>
                                            @endforeach
                                        </select>
                                        <span id="party_error" style="color:red"></span>
                                        <p class="help-block"></p>
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <label>Date</label>
                                        <input type="text" tabindex=-1 id="date_range" name="date_range"
                                               class="form-control reportstartdatetimepicker">
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    <div class="form-group">
                                        <label>&nbsp;</label><br/>
                                        <input type="button" id="submit" value="Search" class="btn btn-default"/>
                                    </div>
                                </div>
                                <div class="col-md-2">
                                    @php
                                        $permissionArray = session('permissionArray');
                                    @endphp
                                    @if(in_array("Download",$permissionArray))
                                        <div class="form-group">
                                            <label>&nbsp;</label><br/>
                                            <input type="submit" id="btndowload" style="display:none" value="Download"
                                                   class="btn btn-default">
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="page-inner">
            <div class="row">
                <div class="col-md-12">
                    <div id="list"></div>
                </div>
                <div class="text-center" id="loading-data-list" style="display:none">
                    <img src="{{asset('public/img/loading.gif')}}" height="300"/>
                    <h3>Loading...</h3>
                    <p>&nbsp;</p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-11" id="footertable" class="container" style="display:none; width:100%">
                    <div class="panel panel-default my-sticky-element">
                        <table id="total_table" class="">
                            <tr>
                                <th style="width:507px;">Remarks</th>
                                <th>Opening Balance</th>
                                <th style="width:115px">Ctotal</th>
                                <th style="width:115px">Dtotal</th>
                                <th>Net Balance</th>
                                <th>Total Vatav</th>
                                <th>Vatav</th>
                                <th></th>
                            </tr>
                            <tr>
                                <td style="width:463px;" id="remarks"></td>
                                <td style="width:200px; text-align:right;" id="o_bal"></td>
                                <td style="text-align:right;" id="credit"></td>
                                <td style="width:125px; text-align:right;" id="debit"></td>
                                <td style="width:160px; text-align:right;" id="bal"></td>
                                <td style="width:160px; text-align:right;" id="vatavtotal"></td>
                                <td style="width:160px; text-align:right;" id="o_vatav"></td>
                                <td style="width:160px;padding:5px">

                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <div style="height:100px">
        </div>
    </div>
@endsection
@section('script')
    <script>
        $(document).ready(function () {

            let isMobile = /iPhone|iPad|iPod|Android/i.test(navigator.userAgent);

            if (isMobile) {
                $("#sender").select2({
                    theme: "classic",
                    placeholder: $(this).data('placeholder')
                });
            }

        });
        let $cache = $('.my-sticky-element');

        var vTop = $cache.offset().top - parseFloat($cache.css('margin-top').replace(/auto/, 0));
        $(window).scroll(function (event) {
            // what the y position of the scroll is
            var y = $(this).scrollTop();

            // whether that's below the form
            if (y >= vTop) {
                // if so, ad the fixed class
                $cache.addClass('stuck');
            } else {
                // otherwise remove it
                $cache.removeClass('stuck');
            }
        });

        function cleanvatav(obj) {
            $("#o_vatav").html("");
            if ($(obj).prop("checked") == true) {
                $(obj).parent().parent().removeAttr('style');
                $(obj).parent().siblings().addClass('highlightedRow');
                $(obj).parent().parent().addClass('highlightedRow');
                // $(obj).parent().parent().css('background-color','#9d9dcf');
            } else {
                $(obj).parent().parent().removeAttr('style');
            }
        }

        $(window).keydown(function (e) {

            let currentElement = $(document.activeElement);
            if (e.keyCode == 40) {
                $(currentElement).parent().parent().next().find('input:checkbox.chk').focus();
            }
            if (e.keyCode == 38) {
                $(currentElement).parent().parent().prev().find('input:checkbox.chk').focus();
            }

        });

        function nextCheckbox(nextElement) {
            if (nextElement.length == 0) {
                return;
            } else {

                if ($(nextElement).prop("checked") == false) {
                    $(nextElement).prop("checked", true);
                    $(nextElement).trigger("onchange");
                }
                let nextElem = $(nextElement).parent().parent().next().find('input:checkbox.chk');
                nextCheckbox(nextElem);
            }

        }

        function prevCheckbox(prevElement) {
            if (prevElement.length == 0) {
                return;
            } else {

                if ($(prevElement).prop("checked") == true) {
                    $(prevElement).prop("checked", false);
                    $(prevElement).trigger("onchange");
                }
                let prevElem = $(prevElement).parent().parent().prev().find('input:checkbox.chk');
                prevCheckbox(prevElem);
            }

        }

        $("#sender").on("change", function () {

            $("#submit").trigger("click");

        });

        $("#date_range").on("change", function () {
            //$("html, body").animate({ scrollTop: '250px' }, "slow");
            $("#submit").trigger("click");

        });

        $("input:checkbox").on("focus", function () {
            $(this).parent().parent().addClass('highlightedRow');
        });

        $('input:checkbox').on("blur", function () {
            $(this).parent().parent().removeClass('highlightedRow');
        });

        let carray = [];
        let darray = [];
        let varray = [];
        let credittotal = 0;
        let debittotal = 0;
        let vatavtotal = 0;

        $('#submit').click(function () {
            $('#vatavtotal').html("");
            $("#list").css({"display": "none"});
            carray = [];
            darray = [];
            varray = [];
            credittotal = 0;
            debittotal = 0;
            vatavtotal = 0;
            $('#credit').html("");
            $('#debit').html("");
            $('#bal').html("");
            $('#totalvatav').html("");

            let party = $("#sender").val();
            if (party == '') {
                $("#sender_chosen a.chosen-single").focus();
                $("#party_error").html("Please select party");
                return false;
            } else {
                $("#party_error").html("");
            }

            $("#ajax_data_list").hide();
            $('#loading-data-list').show();
            let formData = $('#report').serialize();
            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_party_list/1')}}",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {

                    $("#list").html(result).fadeIn(1000);
                    $('#loading-data-list').hide();
                    $('#btndowload').css({'display': 'block'});

                    var table = $('#dataTables').dataTable({
                        "fixedHeader": true,
                        "bInfo": false,
                        "scrollX": true,
                        "bPaginate": false,
                        "aaSorting": [],
                        "columnDefs": [
                            {'visible': false, 'targets': [12, 13, 14, 15, 16, 17]}
                        ],
                    });

                    $("html, body").animate({scrollTop: '250px'}, "slow");
                    $("#checkall").focus();
                    $("#checkall").prop('checked', true).change();

                    $('th').prop('tabIndex', -1);

                    $('#footertable').css({'display': 'block'});

                }
            });
        });

        function get_sum(obj, credit, debit, vatav_id, opening_bal) {
            if ($(obj).prop("checked") == true) {
                $(obj).parent().parent().addClass('highlightedRow');
                $(obj).parent().addClass('highlightedRow');
                $(obj).parent().siblings().addClass('highlightedRow');
                if (credit != '') {
                    carray.push(credit);
                }
                if (debit != '') {
                    darray.push(debit);
                }

            } else {
                $(obj).parent().parent().removeClass('highlightedRow');
                $(obj).parent().parent().removeAttr('checked');

                $(obj).parent().removeClass('highlightedRow');
                $(obj).parent().siblings().removeClass('highlightedRow');


                var index = carray.indexOf(credit);
                if (index !== -1) {
                    carray.splice(index, 1);
                }

                var index1 = darray.indexOf(debit);
                if (index1 !== -1) {
                    darray.splice(index1, 1);
                }
            }

            var credittotal = carray.reduce(function (a, b) {
                return parseFloat(a) + parseFloat(b);
            }, 0);
            var debittotal = darray.reduce(function (a, b) {
                return parseFloat(a) + parseFloat(b);
            }, 0);
            $("#o_bal").html(opening_bal);


            $('#credit').html((credittotal).toFixed(2));
            $('#debit').html((debittotal).toFixed(2));
            $('#bal').html((credittotal - Math.abs(debittotal)).toFixed(2));

            let party = $('#sender').val();
            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_vatav_from_id')}}",
                data: {"vatav_id": vatav_id, "party": party, '_token': "{{ csrf_token() }}"},
                dataType: "json",
                success: function (result) {
                    // let result = JSON.parse(response);
                    var calculated_vatav = (result.vatav).toFixed(2);
                    $("#remarks").html(result.remarks);
                    if ($(obj).prop("checked") == true) {
                        varray.push((calculated_vatav * 100).toFixed(0));
                    } else {
                        var index2 = varray.indexOf((calculated_vatav * 100).toFixed(0));
                        if (index2 !== -1) {
                            varray.splice(index2, 1);
                        }
                        $("#remarks").html("");
                        //$("#o_vatav").html("");
                    }
                    var vatavtotal = varray.reduce(function (a, b) {
                        return parseFloat(a) + parseFloat(b);
                    }, 0);
                    $('#vatavtotal').html((vatavtotal / 100).toFixed(2));
                }
            });
        }

        function displayUserName(username) {
            $("#username").html(username);
        }

        function get_vatav(obj, vatav_id) {
            if ($(obj).prop("checked") == true) {
                $(obj).parent().parent().removeClass('highlightedRow');
                $(obj).parent().siblings().removeClass('highlightedRow');
                $(obj).parent().removeClass('highlightedRow');
                $(obj).parent().parent().css('background-color', '#9d9dcf');
            } else {
                $(obj).parent().parent().css('background-color', '#9d9dcf');
            }
            let party = $('#sender').val();
            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_vatav_from_id')}}",
                data: {"vatav_id": vatav_id, "party": party, '_token': "{{ csrf_token() }}"},
                dataType: "json",
                success: function (result) {
                    // let result = JSON.parse(response);
                    let r = (result.vatav).toFixed(2);
                    $('#o_vatav').html(r);
                    $('#remarks').html(result.remarks);
                }
            });
        }

        function selectall(obj) {
            carray = [];
            darray = [];
            varray = [];
            credittotal = 0;
            debittotal = 0;
            vatavtotal = 0;
            $('#credit').html("");
            $('#debit').html("");
            $('#bal').html("");
            $('#totalvatav').html("");

            if ($(obj).prop('checked')) {
                $("input[name='parties[]']").prop('checked', true).change();
            } else {
                $("input[name='parties[]']").prop('checked', false).change();
            }
        }

        function vatavDelete(id, serial_no) {

            deletedIdarray = [];
            if (id != '') {
                deletedIdarray.push(id);
            }
            if (confirm("Are you sure want to delete Serial No: " + serial_no + " ?")) {
                $.ajax({
                    type: "POST",
                    url: "{{url('Admin/ajax/vatavDelete')}}",
                    data: {"id": deletedIdarray, '_token': "{{ csrf_token() }}"},
                    dataType: "json",
                    success: function (result) {
                        $("#submit").trigger("click");
                        deletedIdarray = [];
                    }
                });
            }
            return false;
        }

        function accountClosed(obj, vatav_id, party_id) {
            let value;
            if ($(obj).prop("checked") == true) {
                value = 1;
            } else {
                value = 0;
            }
            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/accountClosed')}}",
                data: {"value": value, "vatav_id": vatav_id, "party_id": party_id},
                dataType: "json",
                success: function (result) {
                    let dataArray = result.split('##');
                    if (dataArray[0] == 'success') {
                        $('.alert-success').show();
                        $('.alert-success span').html(dataArray[1]);
                        $('.alert-success').delay(7000).fadeOut(500);
                    }
                }
            });
        }

        function get_ajax_data_list(startRow = 0) {
            $("#submit").trigger("click");
        }

    </script>
@endsection
