@extends('layouts/user_master',['pageSlug' => 'partytopartyreport'])
@section('title','Party to Party Report')
@section('content')
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="mb-5">Party To Party Report</h2>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <form method="post" action="{{url('Admin/ajax/get_party_to_party_report/0')}}" id="report"
                              onkeypress="return event.keyCode != 13;">
                            @csrf
                            <div class="row">
                                <div class="form-group col-md-6">
                                    <label>Sender</label>
                                    <select id="sender" name="sender" class="form-control chzn-select" tabindex=1>
                                        <option value="">Select</option>
                                        @foreach ($partyList as $_partyListvalue)
                                            <option value="{{$_partyListvalue['id']}}">{{$_partyListvalue['value']}} </option>
                                        @endforeach
                                    </select>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-6">
                                    <label>Receiver</label>
                                    <select id="receiver" name="receiver" class="form-control chzn-select" tabindex=1>
                                        <option value="">Select</option>
                                        <?php foreach ($partyList as $_partyListvalue) { ?>
                                        <option value="<?= $_partyListvalue['id'] ?>"><?= $_partyListvalue['value'] ?></option>
                                        <?php } ?>
                                    </select>
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label>Date</label>
                                    <input id="date_range" type="text" name="date_range"
                                           class="form-control reportstartdatetimepicker">
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-4">
                                    <label>Amount</label>
                                    <input type="number" name="amount" id="amount" class="form-control">
                                    <span id="amount_error" style="color:red"></span>
                                </div>
                                <div class="form-group col-md-4">
                                    <label></label>
                                    <div class="checkbox">
                                        <label>
                                            <input id="is_deleted" type="checkbox" name="is_deleted" value="1">
                                            Is_deleted
                                        </label>
                                    </div>
                                    <p class="help-block"></p>
                                </div>

                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <div class="form-group">
                                        <input type="button" id="submit" value="Search" class="btn btn-default">
                                    </div>
                                </div>
                                <div class="col-md-3">
                                    @php $permissionArray = session('permissionArray'); @endphp

                                    @if (in_array("Download", $permissionArray))
                                        <div class="form-group">
                                            <input type="submit" id="btndowload" style="display:none" value="Download"
                                                   class="btn btn-default">
                                        </div>
                                    @endif
                                </div>
                            </div>

                            <div class="row mt-5">
                                <div class="col-md-12">
                                    <div id="list"></div>

                                </div>
                                <div class="text-center" id="loading-data-list" style="display:none">
                                    <img src="{{asset('public/img/loading.gif')}}" height="300"/>
                                    <h3>Loading...</h3>
                                    <p>&nbsp;</p>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
@endsection
@section('script')
    <script>
        $(document).ready(function () {

            let isMobile = /iPhone|iPad|iPod|Android/i.test(navigator.userAgent);

            if (isMobile) {
                $("#sender").select2({
                    theme: "classic",
                    placeholder: $(this).data('placeholder')
                });

                $("#receiver").select2({
                    theme: "classic",
                    placeholder: $(this).data('placeholder')
                });
            }

        });
        $('#amount').blur(function () {

            var entered_amount = $("#amount").val();
            var amount = entered_amount * 100;
            $("#amount").val((amount / 100).toFixed(2));

        });

        $('#submit').click(function () {

            $("#ajax_data_list").hide();
            $('#loading-data-list').fadeIn(500);
            var formData = $('#report').serialize();
            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_party_to_party_report/1')}}",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {
                    $("#list").html(result).fadeIn(1000);
                    $('#loading-data-list').hide();
                    $('#btndowload').css({'display': 'block'});
                    $("html, body").animate({scrollTop: '250px'}, "slow");
                    $('#dataTables1').dataTable({"scrollX": true});

                }
            });
        });

        $("#sender").change(function () {
            let senderCode = $(this).val();

            let receiverCode = $('#receiver').val();

            if (senderCode == receiverCode) {
                $("#sender").val(0);
                $('#sender').trigger("chosen:updated");
                let val = $("#sender").val();
                if (val == null) {
                    $('#sender_chosen a.chosen-single').focus();
                }
                return false;
            }
        });

        $("#receiver").change(function () {
            let receiverCode = $(this).val();

            let senderCode = $('#sender').val();

            if (receiverCode == senderCode) {
                $("#receiver").val(0);
                $('#receiver').trigger("chosen:updated");
                let val = $("#receiver").val();
                if (val == null) {
                    $('#receiver_chosen a.chosen-single').focus();
                }
                return false;
            }
        });

    </script>
@endsection