@extends('layouts/user_master',['pageSlug' => 'searchreport'])
@section('title','Search Report')
@section('content')
    <style>
        table {
            border-collapse: collapse;
            width: 100%;
        }

        td, th {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;
        }

        th {
            background-color: #444444;
            color: #fff !important;
        }

        .highlightedRow {
            background-color: #b9b3b3 !important;
            font-weight: bold;
        }

        input[type="checkbox"]:focus {
            outline: 5px Solid rgb(59, 153, 252);
        }

        #footertable {
            /* background-color: #c0c0c0; */
            /* position: absolute;
              width: 100%;
              height: 15%;
              right: 0;
              bottom: 0;
              left: 0;
              color: #FFD740;
              background-color: #424242;
              clear: both; */
        }

        .my-sticky-element.stuck {
            position: fixed;
            bottom: 0;
            box-shadow: 0 2px 4px rgba(0, 0, 0, .3);
        }

        .my-sticky-element {
            /* background-color:#444444;
            color: white; */
            /* font-family: sans-serif; */
            padding: 5px 20px;
            width: 95%;
        }

        .container { /*container for centering element*/
            /* margin: 100px auto; */
            width: 95%;
        }

    </style>
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="mb-5">Search Report</h2>
                    </div>
                </div>
                <form method="post" action="{{url('Admin/ajax/getSearchEntryList/0')}}" id="report"
                      onkeypress="return event.keyCode != 13;">
                    @csrf

                    <div class="row">
                        <div class="col-md-12">
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label>Date</label>
                                    <input type="text" id="date_range" name="date_range"
                                           class="form-control reportstartdatetimepicker" tabindex=1/>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-3">
                                    <label>&nbsp;</label>
                                    <input type="text" id="search_name" name="search_name" class="form-control"
                                           tabindex=2>
                                    <span id="party_error" style="color:red"></span>
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    <label>&nbsp;</label><br/>
                                    <input type="button" id="submit" value="Search" class="btn btn-default">
                                </div>
                                <div class="col-md-2">
                                    @php
                                        $permissionArray = session('permissionArray');
                                    @endphp
                                    @if(in_array("Download",$permissionArray))
                                        <div class="form-group">
                                            <label>&nbsp;</label><br/>
                                            <input type="submit" id="btndowload" style="display:none" value="Download"
                                                   class="btn btn-default">
                                        </div>
                                    @endif
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
        <div id="page-inner">
            <div class="row">
                <div class="col-md-12">
                    <div id="list"></div>
                </div>
                <div class="text-center" id="loading-data-list" style="display:none">
                    <img src="{{asset('public/img/loading.gif')}}" height="300"/>
                    <h3>Loading...</h3>
                    <p>&nbsp;</p>
                </div>
            </div>
            <div></div>
        </div>
    </div>
    <div style="height:200px"></div>
@endsection
@section('script')
    <script>

        $(document).ready(function () {

        });

        $("#search_name").on("change", function () {

            $("#submit").trigger("click");

        });

        $("#date_range").on("change", function () {
            //$("html, body").animate({ scrollTop: '250px' }, "slow");
            $("#submit").trigger("click");

        });

        $('#submit').click(function () {

            //$('body').scrollTo(500);
            $("#list").css({"display": "none"});

            var party = $("#search_name").val();
            if (party == '') {
                $("#search_name").focus();
                $("#party_error").html("Please enter search value");
                return false;
            } else {
                $("#party_error").html("");
            }
            $("#ajax_data_list").hide();
            $('#loading-data-list').show();
            var formData = $('#report').serialize();

            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/getSearchEntryList/1')}}",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {

                    $("#list").html(result).fadeIn(1000);
                    $('#loading-data-list').hide();
                    $('#btndowload').css({'display': 'block'});
                    var table = $('#dataTables').dataTable({
                        "fixedHeader": false,
                        "bInfo": false,
                        "scrollX": true,
                        "bPaginate": false,
                        "aaSorting": [],
                    });

                    $("html, body").animate({scrollTop: '250px'}, "slow");

                }
            });
        });
    </script>
@endsection