@extends('layouts/user_master',['pageSlug' => 'vatavreport'])
@section('title','Vatav Report')
@section('content')
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="mb-5">Vatav Report</h2>
                    </div>
                </div>
                <ul class="nav nav-tabs">
                    <li class="active"><a data-toggle="tab" href="#home">Entrywise</a></li>
                    <li><a data-toggle="tab" href="#menu1">Daywise</a></li>
                    <li><a data-toggle="tab" href="#menu2">Monthwise</a></li>
                </ul>
                <br/>
                <div class="tab-content">
                    <div id="home" class="tab-pane fade in active">
                        <form method="post" action="{{url('Admin/ajax/get_vatav_report/0')}}" id="report"
                              onkeypress="return event.keyCode != 13;">
                            @csrf
                            <div class="row">

                                <div class="form-group col-md-4">
                                    <label>Date</label>
                                    <input id="date" type="text" name="date"
                                           class="form-control">
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <input type="button" id="day_submit" value="Search" class="btn btn-default">
                                </div>
                                <div class="col-md-3">
                                    @php $permissionArray = session('permissionArray'); @endphp
                                    @if (in_array("Download", $permissionArray))
                                        <div class="form-group">
                                            <input type="submit" id="btndowload" style="display:none" value="Download"
                                                   class="btn btn-default">
                                        </div>
                                    @endif
                                </div>
                                <p class="help-block"></p>
                            </div>
                        </form>
                    </div>
                    <div id="menu1" class="tab-pane fade">
                        <form method="post" action="{{url('Admin/ajax/get_daywise_vatav_report/0')}}"
                              id="monthreport" onkeypress="return event.keyCode != 13;">
                            @csrf
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label>Date</label>
                                    <input id="monthdatepicker" type="text" name="month" class="form-control">
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <input type="button" id="month_submit" value="Search" class="btn btn-default">
                                </div>
                                <div class="col-md-3">
                                    @php $permissionArray = session('permissionArray'); @endphp
                                    @if (in_array("Download", $permissionArray))
                                        <div class="form-group">
                                            <input type="submit" id="monthbtndowload" style="display:none"
                                                   value="Download"
                                                   class="btn btn-default">
                                        </div>
                                    @endif
                                </div>
                                <p class="help-block"></p>
                            </div>
                        </form>
                    </div>
                    <div id="menu2" class="tab-pane fade">
                        <form method="post" action="{{url('Admin/ajax/get_monthwise_vatav_report/0')}}" id="yearreport"
                              onkeypress="return event.keyCode != 13;">
                            @csrf
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label>Date</label>
                                    <input id="yeardatepicker" type="text" name="year" class="form-control">
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-3">
                                    <input type="button" id="year_submit" value="Search" class="btn btn-default">
                                </div>
                                <div class="col-md-3">
                                    @php $permissionArray = session('permissionArray'); @endphp
                                    @if (in_array("Download", $permissionArray))
                                        <div class="form-group">
                                            <input type="submit" id="yearbtndowload" style="display:none"
                                                   value="Download"
                                                   class="btn btn-default">
                                        </div>
                                    @endif
                                </div>
                                <p class="help-block"></p>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="page-inner">
            <div class="row">
                <div class="col-md-12">
                    <div id="list"></div>

                    <div class="text-center" id="loading-data-list" style="display:none">
                        <img src="{{asset('public/img/loading.gif')}}" height="300"/>
                        <h3>Loading...</h3>
                        <p>&nbsp;</p>
                    </div>

                </div>

            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $(document).ready(function () {
            $('#date').datetimepicker({
                format: 'YYYY-MM-DD',
                defaultDate: moment().toDate().getTime(),
                minDate: new Date(2022, 12 - 7, 30)

            });

            var isMobile = /iPhone|iPad|iPod|Android/i.test(navigator.userAgent);

            if (isMobile) {
                $("#sender").select2({
                    theme: "classic",
                    placeholder: $(this).data('placeholder')
                });
                $("#month_party").select2({
                    theme: "classic",
                    placeholder: $(this).data('placeholder')
                });
                $("#year_party").select2({
                    theme: "classic",
                    placeholder: $(this).data('placeholder')
                });
            } else {
            }

        });
        $('#day_submit').click(function () {

            $("#list").hide();
            $('#loading-data-list').fadeIn(500);
            var formData = $('#report').serialize();

            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_vatav_report/1')}}",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {
                    $("#list").html(result).fadeIn(1000);
                    $('#loading-data-list').hide();
                    $('#btndowload').css({'display': 'block'});
                    $("html, body").animate({scrollTop: '250px'}, "slow");
                    //$('#list').html(result);
                    $('#dataTables1').dataTable({
                        "scrollX": true,
                        "bPaginate": false,
                    });

                }
            });
        });

        $('#month_submit').click(function () {


            $("#list").hide();
            $('#loading-data-list').fadeIn(500);
            var formData = $('#monthreport').serialize();

            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_daywise_vatav_report/1')}}",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {
                    $("#list").html(result).fadeIn(1000);
                    $('#loading-data-list').hide();
                    $('#monthbtndowload').css({'display': 'block'});
                    $("html, body").animate({scrollTop: '250px'}, "slow");
                    //$('#list').html(result);
                    $('#dataTablesDay').dataTable({
                        // "scrollX": true,
                        // "fixedHeader": true,
                        "bPaginate": false,
                        "bFilter": false,
                    });

                }
            });
        });
        $('#year_submit').click(function () {

            $("#list").hide();
            $('#loading-data-list').fadeIn(500);
            var formData = $('#yearreport').serialize();

            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_monthwise_vatav_report/1')}}",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {
                    $("#list").html(result).fadeIn(1000);
                    $('#loading-data-list').hide();
                    $('#yearbtndowload').css({'display': 'block'});
                    $("html, body").animate({scrollTop: '250px'}, "slow");
                    //$('#list').html(result);
                    $('#dataTablesMonth').dataTable({
                        // "scrollX": true,
                        // "fixedHeader": true,
                        "bPaginate": false,
                        "bFilter": false,
                    });

                }
            });
        });

        function get_ajax_data_list(startRow = 0) {

            $("#list").hide();
            $('#loading-data-list').fadeIn(500);
            var search = $("#search").val();
            var category = $("#category").val();
            var status = $("#status").val();
            var daterange = $("#date_range").val();
            var sender = $("#sender").val();
            var receiver = $("#receiver").val();
            var amount = $("#amount").val();
            if ($("#is_deleted").is(':checked')) {
                var is_deleted = 1;
            } else {
                var is_deleted = 0;
            }
            var recordPerPage = $("#recordPerPage").val();


            var sorting = $("#sorting").val();

            $.ajax({
                url: "",
                type: "POST",
                data: {
                    sender: sender,
                    receiver: receiver,
                    amount: amount,
                    is_deleted: is_deleted,
                    date_range: daterange,
                    recordPerPage: recordPerPage,
                    startRow: startRow
                },
                dataType: "html",
                success: function (data) {

                    setTimeout(function () {

                        $("#list").html(data).fadeIn(1000);
                        $('#loading-data-list').hide();
                    }, 1000);
                }

            });
        }

        function setSorting(column, asc_desc) {
            $('#sorting').val(column + "#" + asc_desc);
            get_ajax_data_list(0);
        }
    </script>
@endsection