@extends('layouts/user_master',['pageSlug' => 'vatavrangereport'])
@section('title','Vatav Range Report')
@section('content')
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-12">
                        <h2 class="mb-5">Vatav Range wise Report</h2>
                    </div>
                </div>
                <div class="row">
                    <div class="col-md-12">
                        <form method="post" action="{{url('Admin/ajax/get_vatav_range_report/0')}}" id="report"
                              onkeypress="return event.keyCode != 13;">
                            @csrf
                            <div class="row">
                                <div class="form-group col-md-4">
                                    <label>Date</label>
                                    <input type="text" name="date" class="form-control reportstartdatetimepicker" autocomplete="off"
                                           id="date_range"
                                           autofocus/>
                                    <p class="help-block"></p>
                                </div>
                            </div>
                            <div class="row">
                                <div class="form-group col-md-2">
                                    <input type="button" id="submit" value="Search" class="btn btn-default">
                                    <p class="help-block"></p>
                                </div>
                                <div class="form-group col-md-2">
                                    @php
                                        $permissionArray = session('permissionArray');
                                    @endphp
                                    @if(in_array("Download",$permissionArray))
                                        <input type="submit" id="btndowload" style="display:none" value="Download"
                                               class="btn btn-default">
                                    @endif
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        <div id="page-inner">
            <div class="row">
                <div class="col-md-12">
                    <div id="list"></div>
                </div>
                <div class="text-center" id="loading-data-list" style="display:none">
                    <img src="{{asset('public/img/loading.gif')}}" height="300"/>
                    <h3>Loading...</h3>
                    <p>&nbsp;</p>
                </div>
            </div>
        </div>
    </div>
@endsection
@section('script')
    <script>
        $('#date_range').change(function () {
            $("#submit").trigger("click");
        });

        $('#submit').click(function () {
            $("#ajax_data_list").hide();
            $('#loading-data-list').show();
            var formData = $('#report').serialize();
            $.ajax({
                type: "POST",
                url: "{{url('Admin/ajax/get_vatav_range_report/1')}}",
                data: formData,
                dataType: "html",
                processData: false,
                success: function (result) {

                    $("#list").html(result).fadeIn(1000);


                    $('#loading-data-list').hide();
                    $('#btndowload').css({'display': 'block'});
                    var table = $('#dataTables1').dataTable({
                        "scrollX": true,
                        "bPaginate": false,
                    });
                }
            });
        });
    </script>
@endsection
