<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid black;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }


</style>
@php date_default_timezone_set('Asia/Kolkata');
$inputs = $data['inputs'];
$vatavData = $data['vatavData'];
@endphp
<table style="border:none !important;">
    <tr>
        <td><b>Amount: </b></td>
        <td>{{$inputs['amount']}}</td>
        <td><b> Downloaded By: </b></td>
        <td>{{$inputs['downloaded_by']}}</td>
    </tr>
    <tr>
        <td><b>Is Deleted: </b></td>
        <td>{{$inputs['is_deleted']}}</td>
        <td><b> Downloaded Date/Time: </b></td>
        <td>{{date('d-m-Y h:i:s')}}</td>
    </tr>
    <tr>
        <td><b>Date Between: </b></td>
        <td colspan="3">{{$inputs['date']}}</td>

    </tr>
</table>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover" id="dataTables1">
        <caption>
            <h1>Day Entry Report</h1>
        </caption>
        <thead>
        <tr>
            <th>Sr No.</th>
            <th>Date</th>
            <th>Sender</th>
            <th>Receiver</th>
            <th>Amount</th>
            <th>Vatav</th>
            <th>Username</th>
            <th>Remarks</th>
        @foreach ($vatavData as $_vatavData)
                @if($_vatavData->is_deleted == 1)
                    <th>Deleted By</th>
                    <th>Deleted Date</th>
                    @break
                @endif
            @endforeach
        </tr>
        </thead>
        <tbody>
            @php
                $vatav_sum = 0;
                foreach ($vatavData as $_vatavData) {
                    if ($_vatavData->sender_party_id == 1) {
                      $vatav_sum += -1 * abs($_vatavData->sender_total_amount);
                      $_vatavData->isVatavParty = 1;
                    } else if ($_vatavData->receiver_party_id ==  1) {
                      $vatav_sum += abs($_vatavData->receiver_total_amount);
                      $_vatavData->isVatavParty = 1;
                    } else {
                      $vatav_sum += $_vatavData->o_vatav;
                      $_vatavData->isVatavParty = 0;
                    }

            @endphp
            <tr class="@if($_vatavData->isVatavParty) isVatavPartyRow @endif">
                <td>
                    {{ $_vatavData->serial_no }}
                </td>
                <td>
                    {{ date("d-m-Y", strtotime($_vatavData->date)) }} <br/>
                    {{ date("h:i:s", strtotime($_vatavData->date)) }}
                </td>
                <td>
                    @if(strlen($_vatavData->sender_code_name) > 20)
                        {{ substr ($_vatavData->sender_code_name,0,19) }}..
                    @else
                        {{$_vatavData->sender_code_name}}
                    @endif
                </td>
                <td>
                    @if(strlen($_vatavData->receiver_code_name) > 20)
                        {{ substr ($_vatavData->receiver_code_name,0,19) }}..
                    @else
                        {{$_vatavData->receiver_code_name}}
                    @endif
                </td>
                <td>
                    {{ number_format($_vatavData->amount,2,'.','') }}
                </td>
                <td>
                    {{ number_format($_vatavData->o_vatav,2,'.','') }}
                </td>
                <td>
                    {{ $_vatavData->entered_by }}
                </td>
                <td>
                    @if(strlen($_vatavData->remarks) > 20)
                        {{ substr ($_vatavData->remarks,0,19) }}..
                    @else
                        {{$_vatavData->remarks}}
                    @endif
                </td>
                @if($_vatavData->is_deleted == 1)
                    <td>
                        {{ $_vatavData->deleted_by }}
                    </td>
                    <td>
                        {{ date('d-m-Y h:i A',strtotime($_vatavData->deleted_time)) }}
                    </td>
                @endif
            </tr>
            @php } @endphp
            @if(count($vatavData) > 0 )
                <tr>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td></td>
                    <td style="text-align: right"><b>Total</b></td>
                    <td>{{ number_format($vatav_sum,'2','.','') }}</td>
                    <td></td>
                    <td></td>
                    @foreach($vatavData as $_vatavData)
                        @if($_vatavData->is_deleted == 1)
                            <td></td>
                            <td></td>
                            @break
                        @endif
                    @endforeach
                </tr>
            @endif
            </tbody>
    </table>
</div>
