@php
    $allParties = $data_arr['allParties'];
    $opening_balance = $data_arr['opening_balance'];
    $inputs = $data_arr['inputs'];
@endphp
<style>
    table {
        border-collapse: collapse;
        width: 100%;
    }

    td, th {
        border: 1px solid black;
        text-align: left;
        padding: 8px;
    }

    th {
        background-color: #444444;
        color: #fff !important;
    }

    .secondthead {
        background-color: white;
        color: #4c5252 !important;
    }
</style>
<table style="border: none !important;">
    <tr>
        <td><b>PartyName: </b></td>
        <td>{{$inputs['party_name']}}</td>
        <td><b> Date: </b></td>
        <td>{{ $inputs['date'] }}</td>
    </tr>
    <tr>
        <td><b> Downloaded By: </b></td>
        <td>{{$inputs['downloaded_by']}}</td>
        <td><b> Downloaded Date/Time: </b></td>
        <td>{{ date('d-m-Y H:i:s') }}</td>
    </tr>
</table>
<div class="table-responsive">
    <table class="table table-striped table-bordered table-hover" id="dataTables1">
        <caption>
            <h1>Party Report</h1>
        </caption>
        <thead>
        <tr>
            <th style="width:160px;">Date</th>
            <th style="width:160px;">Time</th>
            <th style="width:35px;">Serial No.</th>
            <th style="width:80px;">Credit</th>
            <th style="width:80px;">Debit</th>
            <th style="width:80px;">Current Balance</th>
            <th style="width:150px;">Opp. Party</th>
            <th style="width:150px;">Remarks</th>
            <th>User</th>
        </tr>
        </thead>
        <thead>
        <tr>
            <th class="secondthead" colspan="3">Opening Balance</th>
            <th class="secondthead">
                @if($opening_balance >= 0)
                    {{number_format($opening_balance,2,".","")}}
                @endif
            </th>
            <th class="secondthead">
                @if($opening_balance < 0)
                    {{number_format($opening_balance,2,".","")}}
                @endif
            </th>
            <th class="secondthead"></th>
            <th class="secondthead"></th>
            <th class="secondthead"></th>
            <th class="secondthead"></th>
        </tr>
        </thead>
        <tbody>
        @php
            foreach ($allParties as $_allParties) {
               $opp_party = rtrim($_allParties['opposite_party'],')');
               $id = $_allParties['id'];

               $splitTimeStamp = explode(" ",$_allParties['date']);
               $date = $splitTimeStamp[0];
               $time = $splitTimeStamp[1];

        @endphp
        <tr>

            <td>{{date("d-m-Y", strtotime($date))}}</td>
            <td >{{date("h:i:s A", strtotime($time))}}</td>
            <td>{{$_allParties['serial_no']}}</td>
            <td>
                @if($_allParties['credit'] != '')
                    {{number_format($_allParties['credit'],2,'.','')}}
                @endif
            </td>
            <td>
                @if($_allParties['debit'] != '')
                    {{number_format($_allParties['debit'],2,'.','')}}
                @endif
            </td>
            <td>
                @if($_allParties['current_balance'] != '')
                    {{number_format($_allParties['current_balance'],2,'.','')}}
                @else
                    0
                @endif
            </td>
            <td style="width:135px;">
                @if (strlen($opp_party) > 20)
                    {{ substr($opp_party, 0, 19) }} ..
                @else
                    {{$opp_party}}
                @endif
            </td>
            <td style="width:135px;">
                @if (strlen($_allParties['remarks']) > 20)
                    {{ substr($_allParties['remarks'], 0, 19) }} ..
                @else
                    {{$_allParties['remarks']}}
                @endif
            </td>
            <td>{{$_allParties['entered_by']}}</td>
        </tr>
        @php
            }
        @endphp

        </tbody>
    </table>

</div>
