@extends('layouts/user_master', ['pageSlug' => 'settings'])
@section('title', 'Settings')
@section('content')
<div id="page-wrapper">
    <div id="page-inner">
        <div class="row">
            <div class="col-md-10">
                <h2 class="fw-normal mb-5">Setting List</h2>
            </div>
        </div>
        <div class="row">
            <div class="col-md-12">
                <div class="box-body" id="ajax_data_list">
                    <div id="bootstrapTable_wrapper" class="form-inline dt-bootstrap">
                        <div class="col-md-12">
                            <div class="panel panel-default">
                                <div class="panel-body">
                                    <div class="table-responsive">
                                        <table class="table table-bordered mt-4" style="border-collapse:collapse;"
                                            id="settingList">
                                            <thead>
                                                <tr>
                                                    <th>No.</th>
                                                    <th>Title</th>
                                                    <th>Value</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                @foreach ($settingList as $key => $_settingList)
                                                    <tr>
                                                        <td>{{$key + 1}} </td>
                                                        <td>{{ $_settingList->title }}</td>
                                                        <td>{{$_settingList->value}} </td>
                                                        <td>
                                                            <a href="{{url('Admin/setting/edit/' . $_settingList->id)}}"
                                                                class="btn btn-primary">
                                                                <i class="fa fa-edit "></i> Edit
                                                            </a>
                                                        </td>
                                                    </tr>
                                                @endforeach

                                            </tbody>
                                        </table>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
@section('script')
<script>
    $(document).ready(function () {
        $('#settingList').DataTable();
    });

    // function deleteRow(id) {
    //     swalWithBootstrapButtons({
    //         title: 'Are you sure?',
    //         text: "Once deleted, you will not be able to recover this record!",
    //         type: 'warning',
    //         showCancelButton: true,
    //         confirmButtonText: 'Yes, delete',
    //         cancelButtonText: 'No, cancel'
    //     }).then((result) => {
    //         if (result.value) {
    //             $.ajax({
    //                 type: "POST",
    //                 url: "{{url('Admin/setting/delete/')}}/" + id,
    //                 data: { "_token": "{{ csrf_token() }}",}, // serializes the form's elements.
    //                 success: function (data) {
    //                     // console.log(data);
    //                     let response = JSON.parse(data);
    //                     if (response.IsSuccess) {
    //                         swalWithBootstrapButtons(
    //                             'Deleted!',
    //                             'This item has been deleted.',
    //                             'success'
    //                         )
    //                         location.reload();
    //                     } else {
    //                         ShowNotify(response);
    //                     }
    //                 }
    //             });
    //         } else if (result.dismiss === swal.DismissReason.cancel) {
    //             swalWithBootstrapButtons(
    //                 'Cancelled',
    //                 'Your record is safe! :)',
    //                 'error'
    //             )
    //         }
    //     })
    // }
</script>
@endsection