<?php

use App\Http\Controllers\Api\LocalVatavController;
use App\Http\Controllers\Api\LoginController;
use App\Http\Controllers\Api\NoticeController;
use App\Http\Controllers\Api\PartyController;
use App\Http\Controllers\Api\VatavController;
use App\Http\Controllers\Api\ReportController;
use App\Http\Controllers\Api\SettingsController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

//Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
//    return $request->user();
//});
Route::
        namespace('Api')->group(function () {

            Route::group(['middleware' => ['cors']], function () {
                Route::get('Setting/getAppCode', [SettingsController::class, 'getAppCode'])->name('getAppCode');
            });

            Route::group(['middleware' => ['cors'], 'prefix' => 'Login'], function () {
                Route::post('check_user_exit', [LoginController::class, 'check_user_exit'])->name('party-login');
            });



            /*------------- JWT TOKEN AUTHORIZED ROUTE-------------------*/
            Route::group(['middleware' => ['cors', 'jwt.verify']], function () {
                Route::post('Login/party_logout', [LoginController::class, 'party_logout'])->name('party-logout');
                Route::post('Login/forceTologout', [LoginController::class, 'forceToLogout'])->name('forceToLogout');
                Route::post('Login/check_active_inactive_user', [LoginController::class, 'check_active_inactive_user'])->name('checkActiveInactiveUser');
                Route::post('Login/checkUserLoginOrNotLogin', [LoginController::class, 'checkUserLoginOrNotLogin'])->name('checkUserLoginOrNotLogin');

                Route::get('Login/getNotices', [NoticeController::class, 'getNotices'])->name('getNotices');

                // Party
                Route::post('Party/get_party', [PartyController::class, 'get_party'])->name('get-party');
                Route::post('Party/get_party_profile', [PartyController::class, 'get_party_profile'])->name('get-partyProfile');

                // Vatav
                Route::post('Vatav/calculate_vatav', [VatavController::class, 'calculateVatav'])->name('calculateVatav');
                Route::post('Vatav/autovatavAdd', [VatavController::class, 'autoVatavAdd'])->name('autoVatavAdd');

                // Local Vatav
                Route::post('Vatav/localvatavAdd', [LocalVatavController::class, 'add_local_entry'])->name('localVatavAdd');
                Route::post('Vatav/getLocalEntry', [LocalVatavController::class, 'getLocalEntry'])->name('getLocalEntry');
                Route::post('Vatav/deleteLocalEntry/{id}', [LocalVatavController::class, 'deleteLocalEntry'])->name('deleteLocalEntry');

                // Report
                Route::post('ReportWebservice/getAllSentEntry', [ReportController::class, 'getAllSentEntry'])->name('getAllSentEntry');
                Route::post('ReportWebservice/getAllReceivedEntry', [ReportController::class, 'getAllReceivedEntry'])->name('getAllReceivedEntry');
                Route::post('ReportWebservice/changeVatavStatus', [ReportController::class, 'changeVatavStatus'])->name('changeVatavStatus');
                Route::post('ReportWebservice/receiverPendingVatavCount', [ReportController::class, 'receiverPendingVatavCount'])->name('receiverPendingVatavCount');
                Route::post('ReportWebservice/generate_report', [ReportController::class, 'generate_report'])->name('generateReport');
                Route::post('ReportWebservice/generate_received_report', [ReportController::class, 'generate_received_report'])->name('generateReceivedReport');
                Route::post('ReportWebservice/downloadGeneralReport', [ReportController::class, 'downloadGeneralReport'])->name('downloadGeneralReport');
                Route::post('ReportWebservice/getAllLocalEntry', [LocalVatavController::class, 'getAllLocalEntry'])->name('getAllLocalEntry');

            });

        });