<?php

use App\Http\Controllers\Auth\LoginController;
use App\Http\Controllers\Admin\CronjobController;
use App\Http\Controllers\Admin\DashboardController;
use App\Http\Controllers\Admin\PartyController;
use App\Http\Controllers\Admin\CompanyController;
use App\Http\Controllers\Admin\HelpController;
use App\Http\Controllers\Admin\NoticesController;
use App\Http\Controllers\Admin\SettingsController;
use App\Http\Controllers\Admin\ProfileController;
use App\Http\Controllers\Admin\MobilePartyController;
use App\Http\Controllers\Admin\AutovatavController;
use App\Http\Controllers\Admin\ManualvatavController;
use App\Http\Controllers\Admin\NormalvatavController;
use App\Http\Controllers\Admin\NamuController;
use App\Http\Controllers\Admin\ReportController;
use App\Http\Controllers\Admin\AjaxController;
use App\Http\Controllers\Admin\PartyUserController;
use App\Http\Controllers\Admin\RecalculateController;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('auth.login');
    //    return view('welcome');
});

Route::get('Admin/login', [LoginController::class, 'index'])->name('login');
Route::post('Admin/login/action', [LoginController::class, 'userLogin'])->name('login.user');
Route::post('Admin/login/updateToken', [LoginController::class, 'updateToken'])->name('login.updateToken');
Route::get('Admin/Cronjob/update_vatav_table', [CronjobController::class, 'update_vatav_table'])->name('cron.updateVatavTable');


Route::group(['middleware' => ['auth', 'CheckLoginOrNot']], function () {
    Route::get('Admin/logout', [LoginController::class, 'logout'])->name('logout');

    Route::get('Admin/dashboard', [DashboardController::class, 'index'])->name('dashboard');
    Route::get('Admin/dashboard/recalculate', [DashboardController::class, 'recalculate'])->name('dashboard.recalculate');
    Route::post('Admin/dashboard/calculate', [DashboardController::class, 'calculate'])->name('dashboard.calculate');
    Route::get('/Admin/dashboard/confirm_report/{date}', [DashboardController::class, 'confirmReport'])->name('dashboard.confirm_report');
    Route::get('Admin/dashboard/update_closing_balance', [DashboardController::class, 'update_closing_balance'])->name('dashboard.updateClosingBalance');
    Route::post('Admin/dashboard/updateClosingBalance', [DashboardController::class, 'updateClosingBalance'])->name('dashboard.updatedClosingBalance');
    Route::post('Admin/dashboard/get_entry', [DashboardController::class, 'get_entry'])->name('dashboard.get_entry');

    Route::get('Admin/company/details', [ProfileController::class, 'details'])->name('profile.details');
    Route::get('Admin/help', [HelpController::class, 'index'])->name('help.details');

    //Party
    Route::get('Admin/party', [PartyController::class, 'index'])->name('party.index');
    Route::get('Admin/party/add', [PartyController::class, 'add'])->name('party.add');
    Route::post('Admin/party/store', [PartyController::class, 'store'])->name('party.store');
    Route::get('Admin/party/edit/{id}', [PartyController::class, 'edit'])->name('party.edit');
    Route::post('Admin/party/update', [PartyController::class, 'update'])->name('party.update');
    Route::post('Admin/party/delete/{id}', [PartyController::class, 'delete'])->name('party.delete');
    Route::post('Admin/party/check_code_exist_or_not', [PartyController::class, 'check_code_exist_or_not'])->name('party.check_code_exist_or_not');
    Route::get('Admin/party/get_party_users_list', [PartyController::class, 'get_party_users_list'])->name('party.get_party_users_list');
    Route::post('Admin/party/get_sender_balance', [PartyController::class, 'get_sender_balance'])->name('party.get_sender_balance');
    Route::get('Admin/party/logout_party/{id}', [PartyController::class, 'logout_party'])->name('party.logout_party');
    Route::get('Admin/Mobileparty', [MobilePartyController::class, 'index'])->name('mobileparty.index');
    Route::post('Admin/Mobileparty/add', [MobilePartyController::class, 'add'])->name('mobileparty.add');

    //PartyUser
    Route::post('Admin/partyuser/add', [PartyUserController::class, 'add'])->name('partyuser.add');
    Route::post('Admin/partyuser/delete/{id}', [PartyUserController::class, 'delete'])->name('partyuser.delete');
    Route::get('Admin/partyuser/logout_party_users/{id}', [PartyUserController::class, 'logout_party_users'])->name('partyuser.logout_party_users');
    Route::post('Admin/partyuser/check_user_exist_or_not', [PartyUserController::class, 'check_user_exist_or_not'])->name('partyuser.check_user_exist_or_not');

    // Autovatav
    Route::get('Admin/autovatav', [AutovatavController::class, 'index'])->name('autovatav.index');
    Route::post('Admin/autovatav/ajax_pagination/{page}', [AutovatavController::class, 'ajax_pagination'])->name('autovatav.ajax_pagination');
    Route::post('Admin/autovatav/approved_entry/{page}', [AutovatavController::class, 'approved_entry'])->name('autovatav.approved_entry');
    Route::get('Admin/autovatav/add', [AutovatavController::class, 'add'])->name('autovatav.add');
    Route::post('Admin/autovatav/store', [AutovatavController::class, 'store'])->name('autovatav.store');
    Route::post('Admin/autovatav/delete/{id}', [AutovatavController::class, 'delete'])->name('autovatav.delete');
    Route::post('Admin/autovatav/get_price_range', [AutovatavController::class, 'get_price_range'])->name('autovatav.get_price_range');
    Route::post('Admin/autovatav/calculate_vatav', [AutovatavController::class, 'calculate_vatav'])->name('autovatav.calculate_vatav');
    Route::post('Admin/autovatav/approve_vatav_entry/{vatav_id}', [AutovatavController::class, 'approve_vatav_entry'])->name('autovatav.approve_vatav_entry');
    Route::post('Admin/autovatav/entryDetails/{vatav_id}', [AutovatavController::class, 'entryDetails'])->name('autovatav.entryDetails');
    Route::post('Admin/autovatav/edit_autovatav', [AutovatavController::class, 'edit_autovatav'])->name('autovatav.edit_autovatav');

    //Manual Vatav
    Route::get('Admin/manualvatav', [ManualvatavController::class, 'index'])->name('manualvatav.index');
    Route::post('Admin/manualvatav/ajax_pagination/{page}', [ManualvatavController::class, 'ajax_pagination'])->name('manualvatav.ajax_pagination');
    Route::get('Admin/manualvatav/add', [ManualvatavController::class, 'add'])->name('manualvatav.add');
    Route::post('Admin/manualvatav/store', [ManualvatavController::class, 'store'])->name('manualvatav.store');
    Route::post('Admin/manualvatav/delete/{id}', [ManualvatavController::class, 'delete'])->name('manualvatav.delete');
    Route::post('Admin/manualvatav/get_price_range', [ManualvatavController::class, 'get_price_range'])->name('manualvatav.get_price_range');
    Route::post('Admin/manualvatav/calculate_vatav', [ManualvatavController::class, 'calculate_vatav'])->name('manualvatav.calculate_vatav');

    //Normal Vatav
    Route::get('Admin/normalvatav', [NormalvatavController::class, 'index'])->name('normalvatav.index');
    Route::post('Admin/normalvatav/ajax_pagination/{page}', [NormalvatavController::class, 'ajax_pagination'])->name('normalvatav.ajax_pagination');
    Route::get('Admin/normalvatav/add', [NormalvatavController::class, 'add'])->name('normalvatav.add');
    Route::post('Admin/normalvatav/store', [NormalvatavController::class, 'store'])->name('normalvatav.store');
    Route::post('Admin/normalvatav/delete/{id}', [NormalvatavController::class, 'delete'])->name('normalvatav.delete');
    Route::post('Admin/normalvatav/get_price_range', [NormalvatavController::class, 'get_price_range'])->name('normalvatav.get_price_range');
    Route::post('Admin/normalvatav/calculate_vatav', [NormalvatavController::class, 'calculate_vatav'])->name('normalvatav.calculate_vatav');

    // Namu
    Route::get('Admin/namu', [NamuController::class, 'index'])->name('namu.index');
    Route::post('Admin/namu/ajax_pagination/{page}', [NamuController::class, 'ajax_pagination'])->name('namu.ajax_pagination');
    Route::get('Admin/namu/add', [NamuController::class, 'add'])->name('namu.add');
    Route::post('Admin/namu/store', [NamuController::class, 'store'])->name('namu.store');
    Route::post('Admin/namu/delete/{id}', [NamuController::class, 'delete'])->name('namu.delete');
    Route::post('Admin/namu/get_price_range', [NamuController::class, 'get_price_range'])->name('namu.get_price_range');
    Route::post('Admin/namu/calculate_vatav', [NamuController::class, 'calculate_vatav'])->name('namu.calculate_vatav');


    Route::get('Admin/report/general', [ReportController::class, 'general'])->name('report.general');
    Route::get('Admin/report/party', [ReportController::class, 'party'])->name('report.party');
    Route::get('Admin/report/day', [ReportController::class, 'day'])->name('report.day');
    Route::get('Admin/report/dayentry', [ReportController::class, 'dayentry'])->name('report.dayentry');
    Route::get('Admin/report/city', [ReportController::class, 'city'])->name('report.city');
    Route::get('Admin/report/partytoparty', [ReportController::class, 'partytoparty'])->name('report.partytoparty');
    Route::get('Admin/report/vatav', [ReportController::class, 'vatav'])->name('report.vatav');
    Route::get('Admin/report/vatavrange', [ReportController::class, 'vatavrange'])->name('report.vatavrange');
    Route::get('Admin/report/labelcount', [ReportController::class, 'labelcount'])->name('report.labelcount');
    Route::get('Admin/report/searchreport', [ReportController::class, 'searchreport'])->name('report.searchreport');
    Route::get('Admin/report/deletedentryreport', [ReportController::class, 'deletedentryreport'])->name('report.deletedentryreport');
    Route::get('Admin/report/partywisecommissionreport', [ReportController::class, 'partywisecommissionreport'])->name('report.partywisecommissionreport');
    Route::get('Admin/report/commissionreport', [ReportController::class, 'commissionreport'])->name('report.commissionreport');

    Route::post('Admin/ajax/get_general_report_list/{id}', [AjaxController::class, 'get_general_report_list'])->name('ajax.generalreport');
    Route::post('Admin/ajax/get_party_list/{id}', [AjaxController::class, 'get_party_list'])->name('ajax.getPartyList');
    Route::post('Admin/ajax/get_day_report/{id}', [AjaxController::class, 'get_day_report'])->name('ajax.getDayReport');
    Route::post('Admin/ajax/get_day_entry_report/{id}', [AjaxController::class, 'get_day_entry_report'])->name('ajax.getDayEntryReport');
    Route::post('Admin/ajax/get_city_report/{id}', [AjaxController::class, 'get_city_report'])->name('ajax.getCityReport');
    Route::post('Admin/ajax/get_city_wise_report/{id}', [AjaxController::class, 'get_city_wise_report'])->name('ajax.getCityWiseReport');
    Route::post('Admin/ajax/get_label_count_report/{id}', [AjaxController::class, 'get_label_count_report'])->name('ajax.getLabelCount');
    Route::post('Admin/ajax/get_vatav_report/{id}', [AjaxController::class, 'get_vatav_report'])->name('ajax.getVatavReport');
    Route::post('Admin/ajax/getSearchEntryList/{id}', [AjaxController::class, 'getSearchEntryList'])->name('ajax.getSearchEntryList');
    Route::post('Admin/ajax/get_deleted_entry_report/{id}', [AjaxController::class, 'get_deleted_entry_report'])->name('ajax.get_deleted_entry_report');
    Route::post('Admin/ajax/get_day_wise_commission_report/{id}', [AjaxController::class, 'get_day_wise_commission_report'])->name('ajax.get_day_wise_commission_report');
    Route::post('Admin/ajax/get_month_wise_commission_report/{id}', [AjaxController::class, 'get_month_wise_commission_report'])->name('ajax.get_month_wise_commission_report');
    Route::post('Admin/ajax/get_year_wise_commission_report/{id}', [AjaxController::class, 'get_year_wise_commission_report'])->name('ajax.get_year_wise_commission_report');
    Route::post('Admin/ajax/get_commission_list/{id}', [AjaxController::class, 'get_commission_list'])->name('ajax.get_commission_list');
    Route::post('Admin/ajax/get_daywise_commission_list/{id}', [AjaxController::class, 'get_daywise_commission_list'])->name('ajax.get_daywise_commission_list');
    Route::post('Admin/ajax/get_vatav_range_report/{id}', [AjaxController::class, 'get_vatav_range_report'])->name('ajax.get_vatav_range_report');
    Route::post('Admin/ajax/get_vatav_report/{id}', [AjaxController::class, 'get_vatav_report'])->name('ajax.get_vatav_report');
    Route::post('Admin/ajax/get_daywise_vatav_report/{id}', [AjaxController::class, 'get_daywise_vatav_report'])->name('ajax.get_daywise_vatav_report');
    Route::post('Admin/ajax/get_monthwise_vatav_report/{id}', [AjaxController::class, 'get_monthwise_vatav_report'])->name('ajax.get_monthwise_vatav_report');
    Route::post('Admin/ajax/partydetails/{id}', [AjaxController::class, 'partydetails'])->name('ajax.partydetails');
    Route::post('Admin/ajax/accountClosed', [AjaxController::class, 'accountClosed'])->name('ajax.accountClosed');

    Route::post('Admin/ajax/get_party_to_party_report/{id}', [AjaxController::class, 'get_party_to_party_report'])->name('ajax.getPartyToPartyReport');

    Route::post('Admin/ajax/get_vatav_from_id', [AjaxController::class, 'get_vatav_from_id'])->name('ajax.get_vatav_from_id');
    Route::post('Admin/ajax/vatavDelete', [AjaxController::class, 'vatavDelete'])->name('ajax.vatavDelete');
    Route::post('Admin/ajax/party_details', [AjaxController::class, 'party_details'])->name('ajax.partyDetails');
    Route::post('Admin/ajax/edit_autoentry', [AjaxController::class, 'edit_autoentry'])->name('ajax.edit_autoentry');


    Route::get('Admin/users', [CompanyController::class, 'index'])->name('user.index');
    Route::get('Admin/user/add', [CompanyController::class, 'add'])->name('user.add');
    Route::post('Admin/user/store', [CompanyController::class, 'store'])->name('user.store');
    Route::get('Admin/user/edit/{id}', [CompanyController::class, 'edit'])->name('user.edit');
    Route::post('Admin/user/update/{id}', [CompanyController::class, 'update'])->name('user.update');
    Route::post('Admin/user/delete/{id}', [CompanyController::class, 'delete'])->name('user.delete');
    Route::get('Admin/user/logout_user/{id}', [CompanyController::class, 'logout_user'])->name('user.logout_user');


    // Notices
    Route::get('Admin/notices', [NoticesController::class, 'index'])->name('notice.index');
    Route::get('Admin/notice/add', [NoticesController::class, 'add'])->name('notice.add');
    Route::post('Admin/notice/store', [NoticesController::class, 'store'])->name('notice.store');
    Route::get('Admin/notice/edit/{id}', [NoticesController::class, 'edit'])->name('notice.edit');
    Route::post('Admin/notice/update/{id}', [NoticesController::class, 'update'])->name('notice.update');
    Route::post('Admin/notice/delete/{id}', [NoticesController::class, 'delete'])->name('notice.delete');

    Route::get('Admin/settings', [SettingsController::class, 'index'])->name('setting.index');
    Route::get('Admin/setting/edit/{id}', [SettingsController::class, 'edit'])->name('setting.edit');
    Route::post('Admin/setting/update/{id}', [SettingsController::class, 'update'])->name('setting.update');

});