<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
        <title><?php echo $__env->yieldContent('title'); ?> - <?php echo e(env('APP_NAME')); ?></title>
        <link rel="apple-touch-icon" href="<?php echo e(asset('public/images/favicon.ico')); ?>" />
        <link rel="shortcut icon" type="image/x-icon" href="<?php echo e(asset('public/images/favicon.ico')); ?>" />
        <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap" rel="stylesheet">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('public/css/bootstrap.css')); ?>" />
        <link rel="stylesheet" href="<?php echo e(asset('public/css/chosen.min.css')); ?>">
        <link rel="stylesheet" href="<?php echo e(asset('public/css/chosen.css')); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('public/css/fontawesome.min.css')); ?>" />
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('public/css/daterangepicker.css')); ?>" />
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('public/css/bootstrap-datetimepicker.min.css')); ?>" />
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('public/css/dataTables.bootstrap.min.css')); ?>" />
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('public/css/fixedHeader.dataTables.min.css')); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('public/css/toastr.min.css')); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('public/css/select2-bootstrap.min.css')); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('public/css/select2.min.css')); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('public/css/new-menu.css')); ?>" />
        <link rel="stylesheet" type="text/css" href="<?php echo e(asset('public/css/custom.css')); ?>" />
        <!-- <link rel="stylesheet" type="text/css" href="<?php echo e(asset('resources/css/app.css')); ?>" /> -->


        <?php echo $__env->yieldContent('style'); ?>
        <style>
            .pagination .page-item .page-link{
                cursor: pointer;
            }
        </style>
    </head>
    <body class="vertical-layout vertical-menu-modern semi-dark-layout 2-columns  navbar-sticky footer-static" data-open="click" data-menu="vertical-menu-modern" data-col="2-columns" data-layout="semi-dark-layout">

        <!-- <div class="page-loader-wrapper">
            <div class="loader">
                <img class="loading-img-spin" src="<?php echo e(asset('public/images/logo.png')); ?>" width="20" height="20" alt="admin">
                <p class="primary font-weight-bolder">Please wait...</p>
            </div>
        </div> -->
        <?php echo $__env->make('navbars/sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

        <div class="app-content content">
            <div class="content-overlay"></div>
            <div class="content-wrapper">
                <div class="content-header row"></div>
                <div class="content-body">
                    <?php echo $__env->yieldContent('content'); ?>
                </div>
            </div>
        </div>
     <div class="overlay"></div>
        <?php echo $__env->yieldContent('popup'); ?>
        <script type="text/javascript" src="<?php echo e(asset('public/js/jquery-3.6.3.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/jquery-1.10.2.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/vendors/popper.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/bootstrap/js/bootstrap.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/chosen.jquery.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/vendors/jquery.validate.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/vendors/jquery.blockUI.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/vendors/jquery.matchHeight.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/vendors/sweetalert2/sweetalert2.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/vendors/bootstrap-notify.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/moment.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/bootstrap-datetimepicker.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/daterangepicker.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/jquery.dataTables.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/dataTables.bootstrap.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/dataTables.select.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/dataTables.fixedHeader.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/toastr.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/select2.full.min.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/firebase-app.js')); ?>"></script>
        <script type="text/javascript" src="<?php echo e(asset('public/js/firebase-messaging.js')); ?>"></script>

        <script>
            const swalWithBootstrapButtons = swal.mixin({
                confirmButtonClass: 'btn rounded-pill btn-color-1',
                cancelButtonClass: 'btn rounded-pill btn-color-2',
                buttonsStyling: false,
            });
            $(document).on({
                ajaxStart: function(){
                    $("body").addClass("loading");
                },
                ajaxStop: function(){
                  $("body").removeClass("loading");
                }
            });
            $(document).ready(function(){
                let d = new Date();
                let month = d.getMonth();
                let day = d.getDate();
                let year = d.getFullYear();

                $('#dataTables-example').dataTable({
                    "fixedHeader": true
                });

                $(".chzn-select").chosen({
                    search_contains: false,
                    enable_split_word_search: true
                });
                $('.time_picker').datetimepicker({
                    format: 'hh:mm A',
                    // inline: true,
                    // sideBySide: true
                });
                $('#datetimepicker').datetimepicker({
                    format: 'DD-MM-YYYY HH:mm:ss',
                    // minDate: new Date(),
                    defaultDate: moment().toDate().getTime(),
                });

                $('#autoentry_sender_chosen a.chosen-single').focus();
                $('#month_party_chosen').css({"width": "100%"});
                $('#year_party_chosen').css({"width": "100%"});
                $('#sender_chosen a.chosen-single').focus();
                $('#normal_sender_chosen a.chosen-single').focus();
                $('#autovatav_sender_chosen a.chosen-single').focus();

                $('.chosen-container').css('width', '100%');


            });
            function ShowNotify(response) {
                $("div[data-notify='container']").remove();
                $.notifyClose();
                let timeOut = 5000, placement={from: 'top',align: 'right'}, color= '', message = 'Message';
                if(response.IsSuccess == true){
                    color = 'success'
                }else{
                    color = 'danger'
                }

                if(response.Message){
                    message = response.Message
                }

                $.notify({
                    icon: "nc-icon nc-app",
                    message: message

                }, {
                    type: color,
                    timer: timeOut,
                    placement: placement
                });
            }

            $('.reportstartdatetimepicker').daterangepicker({
                locale: {
                    format: 'DD-MM-YYYY',
                    separator: ' to '
                },
                minDate: new Date(2022, 12 - 7, 30)

            });

            $('#monthdatepicker').datetimepicker({
                format: 'MM-YYYY',
                defaultDate: moment().toDate().getTime(),
                minDate: new Date(2022, 12 - 7)
            });

            $('#yeardatepicker').datetimepicker({
                format: 'YYYY',
                defaultDate: moment().toDate().getTime()
            });

            $('#date_range_commission').daterangepicker({
                locale: {
                    format: 'DD-MM-YYYY',
                    separator: ' to '
                },
                minDate: new Date(2022, 12 - 7, 30)
            });

        </script>
        <script>
            let TokenElem = document.getElementById("token")

            let config = {
                messagingSenderId: "765107837166",
            };
            firebase.initializeApp(config);
            if ('serviceWorker' in navigator) {
                window.addEventListener('load', function() {
                    let url = "<?php echo e(asset('public/js/firebase-messaging-sw.js')); ?>";
                    navigator.serviceWorker.register(url).then(function(registration) {
                        // Registration was successful

                    }, function(err) {
                        // registration failed
                        console.log('ServiceWorker registration failed: ', err);
                    });
                });
            }

            const messaging = firebase.messaging();

            messaging.onTokenRefresh(function () {
                messaging.getToken()
                    .then(function (refreshedToken) {
                        $.ajax({
                            type:"POST",
                            url: "<?php echo e(route('login.updateToken')); ?>",
                            data: {token:refreshedToken,'_token': '<?php echo e(csrf_token()); ?>' },
                            dataType: "json",
                            success: function(partyArr){
                                //partyArray = partyArr;
                            }
                        });
                    }).catch(function (err) {
                    console.log('Unable to retrieve refreshed token ', err);
                });
            });

            messaging.onMessage(function(payload){

                let data = payload.data;
                let id = payload.data.data;
                toastr.options = {
                    "closeButton": true,
                    "timeOut": "5000",
                    "extendedTimeOut": "0"
                };
                toastr.info(data.message, data.type);

                
                
                
                
                
                

                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
            });

        </script>

        <?php echo $__env->yieldContent('script'); ?>
    </body>
</html>
<?php /**PATH /var/www/html/angdemo_new/resources/views/layouts/user_master.blade.php ENDPATH**/ ?>