
<?php $__env->startSection('title','Auto Entry'); ?>
<?php $__env->startSection('content'); ?>
    <style>
        .details-control {
            display: none;

        }

        .open_details,
        .close_details {
            cursor: pointer;
        }

        .close_details {
            display: none;
        }
    </style>
    <div id="page-wrapper">
        <div id="page-inner">
            <div class="row mb-4">
                <div class="col-md-11">
                    <h2 class="fw-normal">Auto Entry</h2>
                </div>
                <div class="col-md-1">
                    <a href="<?php echo e(route('autovatav.add')); ?>" class="btn btn-primary" style="float:right;">Add Auto
                        Entry</a>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <label>Date</label>
                    <div class="controls" style="position: relative">
                        <input type="text" name="date" class="listdate form-control" id="single_date"/>
                    </div>
                    <p class="help-block"></p>
                </div>
            </div>
            <div class="row">
                <div class="col-md-12">

                    <div class="box-body" id="ajax_data_list">
                        <div id="bootstrapTable_wrapper" class="dataTables_wrapper form-inline dt-bootstrap">
                            <div class="col-md-12">
                                <div class="panel panel-default" id="tabs">
                                    <div class="panel-heading">
                                        Auto Vatav List
                                    </div>
                                    <br/>
                                    <ul class="nav nav-tabs">
                                        <li class="active" id="pendingTab">
                                            <a data-toggle="tab" href="#pending">Pending Label</a>
                                        </li>
                                        <li id="approvedTab">
                                            <a data-toggle="tab" href="#approved">Approved Label</a>
                                        </li>
                                    </ul>
                                    <div class="tab-content">
                                        <div id="pending" class="tab-pane fade in active">
                                            <div class="text-center" id="loading-data-list" style="display:none">
                                                <img src="<?php echo e(asset('public/img/loading.gif')); ?>" height="300"/>
                                                <h3>Loading...</h3>
                                                <p>&nbsp;</p>
                                            </div>
                                            <div id="pendingData">

                                            </div>
                                        </div>
                                        <div id="approved" class="tab-pane fade">
                                            <div class="text-center" id="approved-loading-data-list" style="display:none">
                                                <img src="<?php echo e(asset('public/img/loading.gif')); ?>" height="300"/>
                                                <h3>Loading...</h3>
                                                <p>&nbsp;</p>
                                            </div>
                                            <div id="approvedData">

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('script'); ?>
    <script>
        $(document).ready(function () {
            $('#autovatavlist').DataTable({
                paging: false,
                responsive: true,
                order: [[0, 'desc']],
            });
        });
        $(document).ready(function () {
            $('#single_date').datetimepicker({
                format: 'YYYY-MM-DD',
                defaultDate: moment().toDate().getTime()

            });
            get_ajax_data_list(0);
        });

        $('.listdate').blur(function () {
            $("#approvedTab").removeClass('active');
            $("#pendingTab").addClass('active');

            $("#approved").removeClass('active in');
            $("#pending").addClass('active in');

            startRow = 0;
            $("#pendingData").hide();
            $('#loading-data-list').fadeIn(500);

            let date = $(".listdate").val();
            let search = $("#search").val();
            let sorting = $("#sorting").val();

            $.ajax({
                type: "POST",
                url: "<?php echo e(url('Admin/autovatav/ajax_pagination/')); ?>/" + startRow,
                data: {
                    search: search,
                    date: date,
                    sorting: sorting,
                    "_token": "<?php echo e(csrf_token()); ?>"
                },
                success: function (data) {

                    setTimeout(function () {

                        $("#pendingData").html(data).fadeIn(1000);
                        $('#loading-data-list').hide();
                    }, 1000);
                }

            });
        });

        $("body").on("click", "#approve_entry", function () {
            let c_ele = this;
            let vatav_id = $(this).attr('data-attr');
            $(c_ele).css('display', 'none');
            $.ajax({
                type: "POST",
                url: "<?php echo e(url('Admin/autovatav/approve_vatav_entry/')); ?>/" + vatav_id,
                data: {
                    'vatav_id': vatav_id,
                    "_token": "<?php echo e(csrf_token()); ?>"
                },
                dataType: "json",
                success: function (result) {
                    window.location.reload();
                }
            });
        });

        $("body").on("click", ".open_details", function (e) {
            e.preventDefault();
            $(this).parent().parent().next('.details-control').toggle();
            $(this).parent().find('.open_details').css({
                "display": "none"
            });
            $(this).parent().find('.close_details').css({
                "display": "block"
            });


        });

        $("body").on("click", ".close_details", function (e) {
            e.preventDefault();
            $(this).parent().parent().next('.details-control').toggle();
            $(this).parent().find('.open_details').css({
                "display": "block"
            });
            $(this).parent().find('.close_details').css({
                "display": "none"
            });


        });

        function deleteRow(id) {
            swalWithBootstrapButtons({
                title: 'Are you sure?',
                text: "Once deleted, you will not be able to recover this record!",
                type: 'warning',
                showCancelButton: true,
                confirmButtonText: 'Yes, delete',
                cancelButtonText: 'No, cancel'
            }).then((result) => {
                if (result.value) {
                    $.ajax({
                        type: "POST",
                        url: "<?php echo e(url('Admin/autovatav/delete/')); ?>/" + id,
                        data: {
                            "_token": "<?php echo e(csrf_token()); ?>",
                        },
                        success: function (data) {
                            let response = JSON.parse(data);
                            if (response.IsSuccess) {
                                swalWithBootstrapButtons(
                                    'Deleted!',
                                    'This item has been deleted.',
                                    'success'
                                )
                                location.reload();
                            } else {
                                ShowNotify(response);
                            }
                        }
                    });
                } else if (result.dismiss === swal.DismissReason.cancel) {
                    swalWithBootstrapButtons(
                        'Cancelled',
                        'Your record is safe! :)',
                        'error'
                    )
                }
            })
        }

        function get_ajax_data_list(startRow = 0) {

            $("#pendingData").hide();
            $('#loading-data-list').fadeIn(500);


            let search = $("#search").val();
            let date = $(".listdate").val();
            let sorting = $("#sorting").val();

            $.ajax({
                type: "POST",
                url: "<?php echo e(url('Admin/autovatav/ajax_pagination/')); ?>/" + startRow,
                data: {
                    search: search,
                    date: date,
                    sorting: sorting,
                    "_token": "<?php echo e(csrf_token()); ?>"
                },
                success: function (data) {
                    setTimeout(function () {
                        $("#pendingData").html(data).fadeIn(1000);
                        $('#loading-data-list').hide();
                    }, 1000);
                }

            });
        }

        function setSorting(column, asc_desc) {
            $('#sorting').val(column + "#" + asc_desc);
            get_ajax_data_list(0);
        }

        $("#pendingTab").click(function (){
            get_ajax_data_list(0)
        });

        $("#approvedTab").click(function (){
            get_approve_ajax_data_list(0)
        });

        function get_approve_ajax_data_list(startRow = 0){
            $("#approvedData").hide();
            $('#approved-loading-data-list').fadeIn(500);


            let search = $("#searchApproved").val();
            let date = $(".listdate").val();
            let sorting = $("#sortingAppoved").val();

            $.ajax({
                type: "POST",
                url: "<?php echo e(url('Admin/autovatav/approved_entry/')); ?>/" + startRow,
                data: {
                    search: search,
                    date: date,
                    sorting: sorting,
                    "_token": "<?php echo e(csrf_token()); ?>"
                },
                success: function (data) {
                    setTimeout(function () {
                        $("#approvedData").html(data).fadeIn(1000);
                        $('#approved-loading-data-list').hide();
                    }, 1000);
                }

            });
        }

        function setApprovedSorting(column, asc_desc){
            $('#sortingAppoved').val(column + "#" + asc_desc);
            get_approve_ajax_data_list(0);
        }
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts/user_master',['pageSlug' => 'autovatav'], \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /var/www/html/angdemo_new/resources/views/pages/autovatav/index.blade.php ENDPATH**/ ?>